
#  Edition des bulletins de notes 

Vous pouvez obtenir les bulletins de notes en différents formats:

 * page web

 * fichier PDF (dit "version papier", car très pratique pour l'impression)

 * données XML (pour interfaçage avec d'autres logiciels, comme par exemple le portail utilisé par les étudiants)

Vous pouvez aussi générer des classeurs PDF, documents regroupant tous les bulletins des étudiants d'un semestre, c'est utile pour imprimer tous les bulletins ou les archiver.



##  Versions courtes, intermédiaires, longues  
Les bulletins sont disponibles en trois versions:

 * **version courte**: montre les moyennes d'UE et de modules, mais pas les notes des évaluations.

 * **version intermédiaire**: montre les moyennes d'UE et de modules, et certaines évaluations (celles pour lesquelles l'option "Visible sur bulletins en version intermédiaire" est cochée.

 * **version longue**: montre les moyennes d'UE et de modules, et toutes les évaluations.



##  Informations sur les bulletins 

Voici un exemple de bulletin en version courte. Dans ce cas, vous constaterez que les noms abrégés des modules n'ont pas été choisis de façon très pertinente (ils sont redondants et peu compréhensibles). Les noms et codes de modules et d'UE peuvent être changés dans le programme pédagogique.

![bulletin-info-short.png](screens/bulletin-info-short.png)


Le bulletin en version longue montre les notes obtenues aux différentes évaluations (contrôles et examens):

![bulletin-info-long.png](screens/bulletin-info-long.png)


Les UE capitalisées (acquises lors des semestres redoublés, [[CapitalisationUE| voir explications ici]]) sont automatiquement prises en compte sur
les bulletins, comme on le voit dans cet exemple:

![bulletin-ue-capitalisee-legend.png](screens/bulletin-ue-capitalisee-legend.png).



##  Choix des informations à afficher 
Le choix des informations affichées sur les bulletins est effectué via des options s'appliquant à tous les bulletins d'un semestre. Seul le responsable du semestre (directeur des études) et les responsables supérieurs peuvent changer ces options.

Utiliser le menu "Réglages bulletins" depuis le tableau de bord semestre.

Les options sont:

 * *indiquer les absences* : indique le nombre d'absences

 * *faire figurer les décisions* : afficher la décision du jury. Il est conseillé de n'activer cette option qu'après le jury définitif.

 * *afficher codes des modules*

 * *afficher le classement dans chaque UE*

 * *afficher le classement dans chaque module*

 * *faire figurer les UE validées sur les bulletins* : code jury des UE

 * *publier le bulletin sur le portail étudiants*: contrôle l'export XML des bulletins, utilisé par le portail étudiant. Désactiver si vous ne voulez pas que les étudiants puisse lire leurs bulletins.

 * *Bannière "provisoire" sur les bulletins*: affiche la mention "Provisoire" (ou le message saisi) en filigrane

 * *Bannière "provisoire" si pas de décision de jury*: affiche la mention "Provisoire" en filigrane sur les bulletins quand il n'y a pas encore de décision de jury.

 * *Texte de la bannière "provisoire*: le texte à afficher en filigrane sur les bulletins provisoires.


##  Mise en page des bulletins PDF et autres réglages 
Vous pouvez agir sur la mise en page des bulletins PDF en passant par la page "Réglages des bulletins de notes": suivre en bas de cette page le lien *Réglage de la mise en page et envoi mail des bulletins*.

Les paramètres réglables sont:
 * marges additionnelles, exprimées en millimètres, étant entendu que le tableau de notes est toujours redimensionné pour occuper tout l'espace disponible entre les marges de la feuille, et tenir sur une page (c'est pourquoi un bulletin très long sera écrit plus petit qu'un bulletin court).

 * titre des bulletins (typiquement `Université Paris 13 - IUT de Villetaneuse - Département %(DeptName)s`). Le symbole `%(DeptName)s` est remplacé par le nom du département.

 * message texte accompagnant les bulletins envoyés par courrier électronique (mail).

Les champs des bulletins de notes PDF peuvent être paramétrés assez finement, voir [ParametrageBulletins](ParametrageBulletins.md).
Les développeurs peuvent coder (en Python) de nouveaux formats de bulletins. Voir la documentation sur [ApiGenerationBulletinsPdf](ApiGenerationBulletinsPdf.md).


##  Classeurs PDF 
Pour générer un fichier PDF regroupant tous les bulletins (une page par bulletin), utiliser le menu "bulletins" du tableau de bord semestre.


##  Expédition par mail 
ScoDoc vous permet d'envoyer par courrier électronique un bulletin à un étudiant. Pour cela, l'adresse mail de l'étudiant doit avoir été renseignée et être valide (voir la [FicheEtudiant](FicheEtudiant.md)). 

Le mail contient un petit texte expliquant que le bulletin n'a pas de valeur officielle (seule la version distribuée après le jury fait foi), et le bulletin PDF en pièce jointe.

Vous pouvez envoyer un bulletin via le menu "Autres opérations" de la page affichant le bulletin.

Vous pouvez aussi envoyer tous les bulletins par mail (chaque étudiant du semestre reçoit seulement le sien), via le menu "Bulletins" du semestre.

Voici un exemple du message envoyé aux étudiants avec leur bulletin:
```
M. Pierre Dupont,

vous trouverez ci-joint votre relevé de notes au format PDF.
Il s'agit d'un relevé indicatif. Seule la version papier signée par le responsable pédagogique de l'établissement prend valeur officielle.

Pour toute question sur ce document, contactez votre enseignant ou le directeur des études (ne pas répondre à ce message).

Cordialement,
la scolarité du département XXX.
```
(le contenu de ce message est paramétrable, voir ci-dessus).
