
##  Calcul des notes 

*Tout ce que vous avez toujours voulu savoir sur le calcul des moyennes...*

**Attention :** Les informations ci-dessous s'appliquent aux formations traditionnelles. 
Pour les formations par compétences, voir [la page dédiée au BUT](BUT.md).

###  En résumé: 

A chaque instant, ScoDoc prend en compte les notes des évaluations "complètes"
(dans lesquelles toutes les notes ont été saisies ou bien signalées "en attente"
avec le code ATT. Les évaluations partiellement saisies ne sont pas prises en
compte, sauf si l'option "*prise en compte immédiate*" a été cochée sur
l'évaluation.

Les moyennes de modules sont obtenues en calculant dans chacun la moyenne
pondérée des notes disponibles, en utilisant les coefficient des évaluations.

Les moyennes d'UE et générale sont calculées à partir des moyennes de modules,
en utilisant les coefficients du programme pédagogique (dénommé dans ScoDoc
"formation").


Plus de détails ci-dessous.


###  Calcul des moyennes de modules 

Chaque évaluation produit des notes de différents types:

 * note numérique (positive ou nulle): sera normalisée entre 0 et 20

 * note absente: considérée comme zéro

 * note en attente: non prise en compte

 * note excusée: non pris en compte

Chaque étudiant a donc un nombre variable de notes à prendre en compte dans
chaque module. Chaque note est associée à un coefficient: le coefficient de
l'évaluation dans le module.

La moyenne de module est la somme pondérée par le coefficient des évaluations
des notes aux évaluations prises en compte, sauf si on a défini une formule
spécifique.


####  Formules de calcul spéciales 

Il est possible de définir des formules de calcul spéciales pour calculer les
moyennes. Ces formules sont alors utilisées par ScoDoc à la place de la moyenne
pondérée standard. Voir
[FormulesCalculUtilisateur](FormulesCalculUtilisateur.md) 
pour plus d'informations.


###  Moyennes d'UE 

moyenne_ue = moyenne pondérée des moyennes de modules de l'UE (- malus)

Seuls les modules auxquels l'étudiant est inscrit et dans lesquels il y a des
notes sont considérés.

Le malus appliqué à la moyenne d'UE est donné par la somme des notes du ou des
modules de malus de cette UE (un type spécial de modules, voir
[ModulesMalus](ModulesMalus.md)).

Comme pour le calcul des moyennes de modules, il est possible de définir une
formule ad-hoc pour le calcul de la moyenne d'UE (cela est toutefois rarement
nécessaire, et il est recommandé de ne pas abuser de cette fonctionnalité: la
présence de formules ralentit considérablement les calculs).
La syntaxe et les variables sont les mêmes que pour les modules; ici, le vecteur
de notes est celui des moyennes de modules (et non des évaluations). Voir
[FormulesCalculUtilisateur](FormulesCalculUtilisateur.md).

La présence de formules d'UE est signalée sur le tableau de bord du semestre.


###  Calcul de la moyenne générale 

moyenne = moyenne pondérée des moyennes d'UE + bonus sport/culture

Le coef. d'une UE est par défaut la somme des coefs des modules qui la compose
(et peut donc différer d'un étudiant à un autre, s'ils ne sont pas inscrits aux
mêmes modules).

Toutefois (depuis mai 2020), il est possible de spécifier un coefficient d'UE
dans le programme pédagogique, et de l'utiliser pour calculer la moyenne
générale (option "Utiliser les coefficients d'UE pour calculer la moyenne
générale"). Dans ce cas, les coefficients des modules ne servent qu'à calculer
les moyennes d'UE, qui sont ensuite affectée de leur propre coefficient. De
cette façon, les UE pèsent le même poids pour tous les étudiants, quel que soit
le nombre de modules auquel l'étudiant est inscrit (ce qui peut sembler étrange:
bien réfléchir avant de choisir le mode de calcul adapté à sa formation).

Les modules des UEs de type "Sport & Culture" ne sont évidemment pas pris en
compte dans la moyenne pondérée: ils sont utilisés pour calculer le bonus, comme
expliqué ci-dessous.


###  Notes de rattrapage 

Dans chaque module, il est possible de définir une évaluation de "rattrapage".
Lors de la création (ou modification) de l'évaluation, indiquer le type
"Rattrapage":

![CreateEvaluationRat.png](screens/CreateEvaluationRat.png)

Pour chaque étudiant, la note obtenue à l'évaluation de rattrapage remplace la
moyenne du module, seulement si elle est supérieure à celle-ci.



###  Bonus sport/culture 

Ce bonus s'applique directement sur la **moyenne générale** et/ou sur les
moyennes d'UE (notamment en BUT).

Les notes des UEs de type spécial "Sport & Culture" sont utilisées pour calculer ce bonus.

Pour qu'un étudiant bénéficie de ce bonus, il doit être inscrit à un module
d'une UE de type "Sport&Culture". Cette UE et modules associés doivent donc être
prévu dans le programme pédagogique. 

La règle appliquée dépend de l'établissement. Par exemple, l'Université de
Haute Alsace appliquait le règlement suivant: *Les étudiants de l'IUT peuvent
suivre des enseignements optionnels de l'U.H.A.  (sports, musique, deuxième
langue, culture, etc) non rattachés à une unité d'enseignement. Les points
au-dessus de 10 sur 20 obtenus dans chacune des matières optionnelles sont
cumulés dans la limite de 10 points. 5% de ces points cumulés s'ajoutent à la
moyenne générale du semestre déjà obtenue par l'étudiant.* 

L'administrateur peut changer la fonction de calcul du bonus sport via le
formulaire de configuration accessible (aux admin) depuis la page d'accueil. Si
vous souhaitez disposer d'une nouvelle règle, il faut contacter l'équipe de
développement en indiquant (en français) le règlement en vigueur dans votre
établissement. Le code correspondant sera ajouté via une mise à jour.

