
##  Capitalisation des UE 

Brève note explicant le système de capitalisation de UE dans le cadre des DUT.


###  Principe 

***Arrêté d'août 2005***

**Article 19** - *Les unités d'enseignement sont définitivement acquises et
capitalisables dès lors que l'étudiant y a obtenu la moyenne. 
L'acquisition de l'unité d'enseignement emporte l'acquisition
des crédits européens correspondants.*

*Toute unité d'enseignement capitalisée est prise en compte dans le
dispositif de compensation, au même titre et dans les mêmes conditions
que les autres unités d'enseignement.*

*Dans le cas de redoublement d'un semestre, si un étudiant ayant acquis
une unité d'enseignement souhaite, notamment pour améliorer les
conditions de réussite de sa formation, suivre les enseignements de
cette unité d'enseignement et se représenter au contrôle des
connaissances correspondant, la compensation prend en compte le
résultat le plus favorable pour l'étudiant.*

(...)

**Article 25** -  *Les unités d'enseignement dans lesquelles la moyenne de
10 a été obtenue sont capitalisables en vue de la reprise d'études en
formation continue.*


####  Exemple (cas simple) 

Soit un étudiant qui suit un parcours S1, S2, S2D (redoublement en semestre décalé). En S2, il obtient 11.5 à l'UE 1. En S2D, il obtient 10.2 en UE 1: on calcule alors sa moyenne de S2D en remplaçant ce 10.2 par 11.5.

ScoDoc prend automatiquement en compte la capitalisation des UE et l'indique sur les bulletins.


###  UE capitalisées et inscriptions aux modules 

En général, les étudiants ayant capitalisé des UE et qui redoublent un ou deux semestres peuvent choisir de repasser ou non ces UE. ScoDoc conservera automatiquement la meilleure note moyenne. 

Si l'étudiant décide de ne pas repasser l'UE, il est préférable de ne pas l'inscrire aux modules correspondant du semestre qu'il redouble. Le menu "Inscription / Voir les inscriptions aux modules" permet de gérer facilement cela.


####  Cas des changements de programmes 
Il arrive que le programme pédagogique change et que l'étudiant redoublant suive un programme différent de celui de l'UE qu'il a capitalisé. Ici, les textes sont flous et la jurisprudence fait défaut pour déterminer quelles UE sont capitalisables. En pratique, les responsables de formation (chefs de département) décident au cas par cas des équivalences entre UE de l'ancien programme et du nouveau. ScoDoc permet de faire cela en spécifiant un code d'UE qui sera identique (ou non) dans les deux programmes. Il convient d'être particulièrement attentif à ce point: dans le passé récent des IUT, il est arrivé dans certaines spécialités que l'UE 1  devienne l'UE 2 du nouveau programme.


###  Calcul des coefficients 

Le calcul des coefficients des UE capitalisées pour le calcul de la moyenne générale est un peu compliqué. En effet:

 * les UE n'ont pas de coefficients propres: dans le programme pédagogique, les coefficients sont attribués aux modules et non aux UE;

 * le coefficient d'une UE est donc la somme des coefficients des modules qui la composent;

 * remarque: en cas d'absences excusées (notes neutralisées sur tout un module), le coef d'une UE peut fort bien varier d'un étudiant à l'autre (ou, pour un même étudiant, d'un semestre à l'autre s'il redouble).

 * en cas de capitalisation, ScoDoc calcule actuellement le coef. de l'UE capitalisée comme la somme des coefficients des modules de cette UE dans lesquels l'étudiant était inscrit *dans le programme du semestre durant lequel il a capitalisé l'UE* (changement en janvier 2016). Il est aussi possible de forcer manuellement le coefficient utilisé (via la page "modification du semestre").


####  Exemple (cas compliqué) 

Soit un étudiant qui suit un parcours S1, S2, S2.2 (redoublement en semestre décalé) et capitalise l'UE 2.1 du S2.

 * en S2, moy. UE =  11.03, coef 8

 * en S2,2, moy UE = 10.32, coef 5.7 car pas de notes en M322 et M324

Mais supposons que le programme de S2,2 ne soit *pas le même* que celui de S2 !. Par exemple on pourrait avoir:

 * En S2: UE2.1 = { M121, M221, M322, M324, AL2.1 } coef 8

 * En S2.2: UE2.1 = { M121, M221, M322, M324, TH21, ESP21, ESPDEB21 } coef 9

ScoDoc prend le coef 9, afin que l'UE2.1 pèse la même chose pour tous
les étudiants de S2,2.



####  Conclusion 

Les textes officiels étant muets sur cette question, il n'y a pas de consensus sur la meilleure façon de calculer le coefficient
affecté aux UEs capitalisées. Le mode de calcul par défaut de ScoDoc à l'avantage d'avoir les
mêmes coefficients d'UE pour tous les étudiants du semestre (sauf
absences et options), et l'inconvénient de voir la même UE affectée
de coefs différents dans des semestres successifs.


###  Mise en œuvre dans ScoDoc 

 * ScoDoc offre depuis le 21 janvier 2008  la possibilité de forcer les coefficients des UE capitalisées. Passer par "Modifier le semestre".

 * Pour entrer les moyennes d'UE capitalisées antérieurement (dans un semestre non géré par ScoDoc ou dans un autre établissement, etc),  passer par le bulletin de note de l'étudiant, et dans le menu "Autres opérations", choisir ""Enregistrer une validation d'UE antérieure".




