# Données d'admission des étudiants

ScoDoc peut stocker et afficher des données sur la scolarité antérieure de l'étudiant (dites "données d'admission"). Ces données seront utilisées à titre de documentation et pour faire certaines statistiques (notamment les taux de réussite par type de bac). Seule la scolarité en lycée est considérée.

Notons qu'il n'est actuellement pas possible d'intégrer dans ScoDoc des résultats de semestres effectués ailleurs (étudiants arrivant en cours de cursus): il faudra traiter ces cas à la main (capitalisation éventuelle d'UE).

Actuellement, les données stockées sont: 

Champs | Contenu
-------|-------
**bac**   | Série de bac (ex: "S" ou "STI") 
**specialite** | Spécialité de bac (ex: "SVT M" ou "GENIE ELECTRONIQUE" 
**annee_bac** | année d'obtention du bac 
math  | Note de math au Lycée (terminale ou bac) 
physique | Note de physique 
francais | Note de français (note de bac) 
anglais | Note d'anglais 
rapporteur | Nom du rapporteur ayant examiné le dossier 
commentaire | Commentaire du rapporteur 
**nomlycee** | Nom du Lycée d'origine 
**villelycee** | Commune du Lycée 
**codepostallycee** | Code postal du Lycée 
**codelycee**  | Code du Lycée d'origine (utilisé si nomlycee absent)

Les champs indiqués en **gras** sont, lorsque c'est possible, importés du portail Apogée (voir [InterrogationPortail](InterrogationPortail.md)). 
Les champs `nomlycee`, `villelycee` et `codepostallycee` peuvent être absents. ScoDoc utilise dans ce cas le `codelycee`, s'il est présent, pour déterminer ces informations (le `codelycee` est le code national de l'établissement, et ScoDoc utilise un fichier de correspondance (`config/etablissements.csv`).


Autres données, obsolètes (plus utilisées):

| | |
|-|-|
 rang | *obsolete* Rang de l'établissement dans les voeux 
 qualite | Note de "qualité" du dossier 
 decision | Décision jury admission 
 score | Score calculé lors de l'admission 


Les notes ne sont pas utilisées par ScoDoc: vous pouvez convenir de garder la note que vous préférez (moyenne de terminale, note obtenue au bac, ...).


Il existe trois solutions pour saisir les données d'admission:

 1. Individuellement, via le menu "Etudiant / Changer les données identité/admission" sur la fiche de l'étudiant.

 2. En important les données pour tous les étudiants d'un semestre depuis une feuille Excel: à partir du tableau de bord d'un semestre, menu "Inscriptions / Importer les données admission".

 3. Si ScoDoc est interfacé à un portail, les données en gras ci-dessus sont automatiquement récupérées lors de l'inscription. Voir détails techniques sur [InterrogationPortail](InterrogationPortail.md).

