
##  FAQ / Questions fréquemment posées

##  Le projet ScoDoc
### Qui sont les développeurs ? Le projet est-il pérenne ?

ScoDoc a été conçu et développé par Emmanuel Viennet, puis complété par
plusieurs contributeurs, enseignants ou BIATSS dans les IUT et universités. Son
développement est toujours actif, voir le dépôt git <https://scodoc.org/git>.

En 2020, une association a été créée pour soutenir et pérenniser le projet: par
exemple pour acquérir services et équipements pour le développement
informatique, recruter stagiaires, apprentis, ou mener une veille scientifique
et technologique sur le sujet: voir [AssociationScoDoc](AssociationScoDoc.md).
L'avenir du logiciel dépend donc de vous: adhérez, ou incitez votre institution
(département IUT, Institut, École) à le faire. 

##  Utilisation de ScoDoc 
###  Comment prendre en compte les notes de sport ou autres bonus ? 
Voir [CalculNotes](CalculNotes.md), ou bien 
[le tutoriel vidéo par Cédric C.](https://www.youtube.com/watch?v=SVbjuDpq-lI&list=PLw49h6RbvswhasBk9bXj7PzOD8GDW3kG1&index=13).


###  Qui peut voir les notes, et quand ? 
Tous les collègues (enseignants et administratifs) pouvant accéder au
département peuvent voir les notes, en passant par la page du module concerné.

Les notes n'apparaissent dans les bulletins et tableaux récapitulatifs que
lorsqu'elles sont prises en compte dans les moyennes: soit parce que toutes les
notes des étudiants inscrits à cette évaluation sont saisies, soit parce qu'il
s'agit d'une évaluation avec "prise en compte immédiate".

Les **étudiants n'ont pas accès à ScoDoc**, et ne peuvent donc pas voir leurs
notes, sauf si une interface spécifique est configurée ("portail", avec
affichage sur leur ENT en général, cet affichage pouvant être désactivé depuis
ScoDoc pour un semestre particulier). A défaut, il faut leur envoyer leurs
bulletins par mail.


###  Comment supprimer une évaluation ? 
1. Supprimer toutes les notes saisies dans cette évaluation, s'il y en a: passer
   par la page "Saisie des notes" et suivre le lien "Effacer toutes les notes de
   cette évaluation".

2. Lorsqu'il n'y a plus de notes, une croix rouge apparait sur le tableau de
   bord du module: cliquer dessus pour supprimer l'évaluation.


###  En IUT, comment gérer les licences professionnelles ? 
 * On peut créer un département regroupant les licences, ou bien rattacher
   chaque licence à un département existant. Cette dernière solution est
   préférable si des étudiants de DUT poursuivent en licence (ainsi, on a
   automatiquement accès à leur parcours complet).

 * La plupart des licences pro durent un an, mais sont gérées comme un seul
   semestre (pas de jury à mi-parcours). Indiquer "*pas de semestre*" dans
   l'option "*Semestre dans la formation*" (page "*modification du semestre*").

### Comment gérer les étudiants les démissionnaires ?
 * Sur la fiche d'un étudiant, on peut choisir plusieurs options:

    * *Supprimer cet étudiant* : il sera totalement supprimé de la base, sans
      remède. Cette option n'est en principe jamais utile, sauf pour corriger
      une fausse manœuvre au moment des inscriptions.

    Ou bien au niveau de son inscription dans un semestre, via le menu *Scolarité*:

    * *Démission* : l'étudiant restera dans le semestre, mais sera indiqué comme
      démissionnaire. C'est ce qu'il faut faire quand un étudiant signale son
      abandon en cours d'année, passé le délai légal ou il peut se désengager
      (typiquement, après le 15 octobre).
   
    * *Désinscrire (en cas d'erreur)* : l'étudiant reste dans ScoDoc, ses
      données (et ses notes) sont conservées, mais il n'est plus inscrit au
      semestre et n'apparait plus dans les listes. C'est ce qu'il faut choisir
      en début d'année, soit en cas d'erreur de manipulation, soit si l'étudiant
      abandonne en tout début d'année (il ne sera alors pas compté dans les
      inscrits).

### Mes données sont erronées, que faire ?
En cas de problème (bug, erreur de manipulation, suspicion de piratage),
différents journaux peuvent être consultés.

Les utilisateurs autorisés peuvent facilement voir:
* les opérations effectuées sur un étudiant (inscriptions, saisies d'absences,
   ...), accessibles via le menu "Etudiant" / "Voir le journal..." en haut de sa
   fiche individuelle.

* les différentes saisies de notes, via le formulaire de saisie de notes (toutes
  les valeurs précédemment saisies sont conservées, ainsi que la date et
  l'identité de l'utilisateur ayant effectué la saisie).

Les administrateurs (informaticiens) peuvent aussi consulter les journaux (logs)
du serveur, voir plus loin.s

### Comment signaler un problème ?
Nous vous remercions de nous signaler tous les problèmes que vous rencontrez:
erreurs, comportement bizarre ou malcommode. Nous ne promettons pas de les
régler rapidement, ni même plus tard: le logiciel est fourni sans aucune
garantie. Mais nous faisons de notre mieux:

 - si vous êtes utilisateurs, écrire à
   [notes@listes.univ-paris13.fr](mailto:notes@listes.univ-paris13.fr).
   ou joindre le canal Discord Assistance.

 - si vous êtes informaticien et voulez évoquer un problème technique
   (développement, installation), écrire à
   [scodoc-devel@listes.univ-paris13.fr](mailto:scodoc-devel@listes.univ-paris13.fr).
   

##  Configuration 
###  Comment changer les logos sur les documents PDF (PV...) 

Il faut avoir un compte (web) administrateur sur ScoDoc, et passer
par l'onglet "configuration" accessible sur la page d'accueil.
Voir [la page sur la gestion des logos et images ](GestionLogos.md).

###  Administration 

###  Quel système d'exploitation ? 
ScoDoc est accessible depuis n'importe quel navigateur Web (Firefox, Chrome, ...). 

Le serveur ScoDoc fonctionne sous Linux. Il n'est testé qu'avec Debian (stable).
Le script d'installation ([GuideInstallDebian11](GuideInstallDebian11.md))
assure l'installation de tout les éléments nécessaires au bon fonctionnement de
ScoDoc. 


###  Quand et comment mettre à jour le logiciel ? 
Les mises à jour sont normalement automatiquement appliquées chaque nuit,
assurant la sécurité et l'actualisation de ScoDoc.

Des améliorations et corrections sont fréquemment introduites. Les plus
importantes sont annoncées sur la liste de diffusion
"[scodoc-annonces](https://listes.univ-paris13.fr/mailman/listinfo/scodoc-annonces)".

Voir aussi la page [MisesAJour](MisesAJour.md). 



###  Quelles sauvegardes des données ? 
Voir [SauvegardesBases](SauvegardesBases.md).


###  Où sont les journaux (logs) ? 

Les administrateurs du serveur peuvent consulter:
 * Le journal du serveur Web (nginx)
```
/var/log/nginx/scodoc*.log
```

 * le fichier `/opt/scodoc-data/log/scodoc.log` reçoit des messages de déboggage
   de ScoDoc.


###  J'ai installé ScoDoc mais je n'ai pas de certificat SSL ! 
Il est de plus en plus important d'installer un certificat SSL; les navigateurs
Web sont de plus en plus méfiants et vos utilisateurs seront très gênés si votre
ScoDoc n'a pas de certificat valide. Si votre établissement (par exemple via
RENATER) ne vous fournit pas de de certificat, je conseille de passer par <a
href="https://letsencrypt.org/fr/">Let's Encrypt</a> dont l'utilisation est très
simple et rapide.

Pour vos tests en local, avec Chrome, modifier le paramétrage en réglant:
`chrome://flags/#allow-insecure-localhost` (et/ou taper "thisisunsafe" sur la
page bloquée).



###  Comment supprimer un département ? 
Voir les commandes d'administration dans [GuideConfig](GuideConfig.md)


### Comment contribuer au projet ?
[Voir la page](Contribuer.md).
