
##  Suivi des absences 

ScoDoc permet d'enregistrer les absences des étudiants.

Les absences sont notées par demi-journées (matin ou après midi).

Elles peuvent être "justifiées" ou non.

Dans les pages concernant un étudiant, un cadre en bas à gauche permet de visualiser le compte d'absences (comptées en demi-journées) et de les visualiser sur un calendrier de l'année scolaire. On peut simplement ajouter, justifier ou supprimer une absence pour un étudiant.

Une absence:

 * correspond à une demi-journée durant laquelle l'étudiant a été noté absent;
 * peut être signalée plusieurs fois (ScoDoc ne la comptera qu'une fois).

Un justificatif:

 * permet de signaler que l'absence est "excusée" (certificat médical...);
 * peut être saisi à n'importe quel moment, avant ou après le signalement de l'absence.

Les absences peuvent aussi être saisies pour tout un groupe d'étudiants via un formulaire adapté (voir le menu "Saisir absences" sur le tableau de bord du semestre).

Le compte des absences peut ou non figurer sur les bulletins de notes, suivant les réglages choisis (voir le menu "Préférences du semestre").


###  Notification par mail des absences 

ScoDoc peut prévenir par email lorsqu'un étudiant a "trop d'absences".
Peuvent être prévenus:

 * le chef du département;
 * le responsable du semestre concerné (direction des études en IUT);
 * une autre adresse indiquée dans les paramètres (cela peut être une liste de diffusion, par exemple);
 * le responsable du module concerné par une évaluation dans laquelle un étudiant est signalé absent (voir plus bas).

Pour éviter d'inonder les utilisateurs de messages, plusieurs paramètres sont réglables:

 * notifier les absences au chef (oui/non);
 * notifier les absences au dir. des études (oui/non);
 * notifier les absences aux resp. de modules (oui/non);
 * notifier les absences aux étudiants (individuellement);
 * autre adresse vers laquelle notifier;
 * fréquence maximale de notification N (un utilisateur ne recevra pas plus de 1 message tous les N jours, *par étudiant*);
 * seuil de première notification: nombre d'absences tolérées avant premier envoi de notification (comptées en demi-journées);
 * seuil notifications suivantes: une notifications toutes les *N* absences, après le premier seuil;
 * message notification e-mail (template modifiable).

Ces paramètres peuvent être spécifiés globalement ou par semestre (comme pour la plupart des paramètres ScoDoc, voir [PreferencesScoDoc](PreferencesScoDoc.md)).


*Absences aux évaluations*: lorsqu'une absence concerne potentiellement une évaluation, le responsable du module concerné peut être prévenu. Limitations: la résolution temporelle de l'absence est la demi-journée, une évaluation peut être plus courte; il appartient à l'enseignant de vérifier si l'étudiant était réellement absent lors de son évaluation (ou si la justification d'absence produite couvre bien sa plage horaire). Notons que ScoDoc se fonde sur la date de l'évaluation déclarée, pas sur l'emploi du temps (qui n'est pas géré par ScoDoc).


###  Billets d'absences 
Les "billets d'absences" sont issus d'une demande du département Informatique de l'IUT de Villetaneuse en 2009, et sont implémentés à titre expérimental.

Le scénario d'utilisation est le suivant :

 * l'étudiant absent remplit un formulaire web (sur le portail étudiant, donc hors ScoDoc) indiquant les dates (début et fin) de son absence et sa raison; 
 * ce billet rempli est alors envoyé à ScoDoc et doté d'un  numéro unique ; 
 * il l'imprime et va au secrétariat porter cette impression du formulaire (faisant apparaitre le numéro) et le justificatif correspondant;
 * le secrétariat, quand il en a le temps, rentre le numéro de la fiche d'absence et a juste une case à cocher : justifié/non justifié.

Voir détails techniques sur [ServicesXml](ServicesXml.md).

