 



#  Gestion des jurys DUT 
La gestion des jury DUT s'est inspirée des travaux de J.F. Mazoin, de l'ADIUT (et en particulier du document présenté le 30 mai 2006).
Nous utiliserons les codes suivant pour représenter les décisions de jury:

* **Codes d'état de semestre :**

 Code | &nbsp;
 -----|-----
 ADM	| semestre validé automatiquement 
 ADC	| semestre validé par compensation avec un autre
 ADJ	| semestre validé par le jury
 ATT	| pas la moyenne, barres UE ok: décision en attente du semestre suivant
 ATB	| problème de barre: décision en attente du semestre suivant
 ATJ	| n'a pas respecté les condition d'assiduité: mis en attente
 ATJ*	| manque de note (attente jury “décalé) (non implémenté dans ScoDoc)
 AJ	| semestre ajourné (échec)
 NAR	| semestre ajourné, non autorisé à redoubler.

***Note 1:*** le code ADM ne doit être utilisé que si l'étudiant satisfait strictement toutes les conditions:

 - moyenne générale supérieure ou égale à 10;

 - moyennes d'UE supérieures ou égales à 8;

 - assiduité satisfaisante;

 - semestres précédents tous validés.

***Note 2:*** le code ADC ne doit s'utiliser que lorsqu'il y a compensation, au sens *strict*:

 - les UE des deux semestres ont des moyennes >= 8

 - la moyenne des moyennes générales est supérieure à 8

 - assiduité satisfaisante.

(Chaque semestre ne pouvant n'en compenser qu'un seul autre, nous sommes conscients que cette règle 
conduit à désavantager certains étudiants qui compensent, alors que le jury décide de valider le 
semestre à des étudiants plus faibles qui ne peuvent pas compenser et conserve donc cette possibilité 
pour la suite de leur parcours...).

* **Codes d'état d'UE:**

Code | &nbsp;
-----|-----
ADM | UE validée automatiquement (moyenne UE >= 10) |
CMP | UE validée (moyenne UE < 10, mais semestre validé) |
AJ  | UE ajournée (échec) |

Notons que le jury n'intervient pas sur les décisions d'UE: elles sont toujours prises 
*automatiquement* en fonction des notes (et enregistrées par ScoDoc lorsqu'on entre une 
décision de semestre).

* **Codes devenir:** (*internes à ScoDoc, donnés ici pour information*)

Code | &nbsp;
-----|-----
NEXT | passe au semestre suivant dans le cursus 
REO | réorienté (dans une autre filière, “exclus”) 
REDOANNEE | redouble annee (eg passe de S2 à S1) 
REDOSEM | redouble semestre (eg passe de S1 à S1 "décalé")


La prise en compte de l'assiduité n'est pas automatique dans ScoDoc: le jury peut décider qu'un étudiant satisfait ou non aux obligations d'assiduité. La page de validation affiche pour chaque semestre le nombre de demi-jurnées d'absences non justifiées de l'étudiant.

Pour chaque étudiant, ScoDoc propose sur une page les différentes décisions que peut prendre le jury
(ou la commission).

Le jury conduit à prendre les décisions suivantes:

 - attribuer un code d'état au semestre courant (“Code SEM”);

 - attribuer un code à chaque UE du semestre courant (“Codes UE”);

 - éventuellement, attribuer un code au semestre précédent (si en attente) (“Code prev”);

 - décider du devenir de l'étudiant (passage, redoublement, réorientation) (“Devenir”).


##  Compensation des semestres 
Voir la page [CompensationSemestre](CompensationSemestre.md)


##  Capitalisation des UE 
Voir la [ note sur la capitalisation des UE](CapitalisationUE)


##  Gestion des cas particuliers 
Parcours du type: S1 (ADM), S2 (AJ), S3 (AJ), S3D (ATT), S2D

Il faut tenir le jury de S2D, puis revenir sur le jury de S3D qui va, si S2D est validé, recevoir le code ADM et autoriser le passage en S4.




##  Document de préparation du jury 
Il s'agit d'une simple feuille Excel récapitulant les informations
essentielles pour tenir un jury:
   identité, parcours, moyennes et décisions des 2 derniers semestres.

Cette feuille excel peut être retouchée manuellement pour tenir compte
des cas rares (étudiants ayant effectué le début de leur scolarité ailleurs,
etc).


##  Procès verbaux de jury 
###  PV de jury: récapitulatif complet des décisions de jury 
Document signé par le directeur de l'IUT récapitullant l'ensemble des décisions
pour un semestre de formation.

Il s'agit d'un document PDF en format paysage, à imprimer sur
papier ordinaire A4.

Les logos (IUT en haut, université en pied de page) sont 
paramétrables par l'utilisateur: voir [configuration des logos](GestionLogos.md).


###  Lettres d'avis individuelles 
Courriers (papier)  adressés aux étudiants pour les informer
des décisions du jury.

Document PDF à imprimer sur papier à en-tête de l'IUT (A4, portrait, une
page par étudiant).

Les feuilles sont le plus souvent destinées à être pliées en 3 pour mise sous enveloppe avec fenêtre
(la position de l'adresse est prévue à cet effet).

L'adresse imprimée est pour celle de ScoDoc (il est possible d'importer au
préalable celle d'Apogée).

On peut spécifier une image de la signature du responsable de formation pour
lui éviter de fastidieuses séances de paraphage.
  
