
# Gestions des logos et fonds de documents

Images (logos ou autre) à afficher sur des documents PDF générés par ScoDoc:
 
 * Sur les PV, `logo_header.jpg` est affiché en haut, et `logo_header.jpg` en bas de la page.
 * Sur les bulletins de notes, c'est configurable (et on peut utiliser d'autres
   logos), voir [ParametrageBulletins](ParametrageBulletins.md)
 * Fonds de page: charger une image nommée `pvjury_background` pour les PV de
   jury (en format paysage) ou `letter_background`pour les bulletins et lettres
   de jury (en format portrait). Voir [paramétrage des PV](ParametragePV.md).

Ces images peuvent être chargées ou modifiées par l'administrateur via le menu
"*configuration*" sur la page d'accueil de ScoDoc.


## Informations techniques pour les développeurs et administrateurs curieux.

Normalement, l'administrateur n'a pas besoin d'intervenir dans les répertoires
mentionnés ci-dessous (sauf pour veiller à ce que `/opt/scodoc-data` soit bien
sauvegardé ou transféré lors des migrations). 

La totalité des opérations nécessaires à l'utilisation de ScoDoc peuvent être
réalisées par le menu de configuration des logos. 

### Fichiers et répertoires associés aux logos

Les images (logos et fonds de document) sont enregistrées dans le répertoire `/opt/scodoc-data/config/logos` et ses sous-répertoires.

Les images ajoutées par les utilisateurs ont toutes un nom de la forme `logo_<nom>.png` ou `logo_<nom>.jpg` 
(`<nom>` représente le nom d'usage du logo : *header*, *footer*, signature, ... au choix de l'utilisateur)
Les sous-répertoires ont des noms de la forme `logos_<dept>` où `<dept>` est
l'identifiant numérique du département
(la commande `flask list-depts` donne la correspondance cf. [Administration en ligne de commande](GuideConfig.md)).

Les **fonds de page** se distinguent uniquement des logos par leur nom (`<ext>` peut être soit `jpg`ou `png`) :

| Document                         | nom                     | fichier                        |
|----------------------------------|-------------------------|--------------------------------|
| PV de jury                       | pvjury_background       | `logo_pvjury_background.<ext>` |
| bulletin de note                 | letter_background       | `logo_letter_background.<ext>` |
| lettre individuelle de décision  | letter_background       | `logo_letter_background.<ext>` |

### Note: héritage scodoc7

Les serveurs ScoDoc 7 utilisaient pour les fonds de page, des fichiers de nom
`letter_background.<ext>` et `pvjury_background.<ext>`. Lors de la migration
depuis ScoDoc 7, ces fichiers ont placés dans le même répertoire que les images
scodoc9. Pour assurer la compatibilité ascendante, leur présence est
exceptionnellement prise en compte. Bien évidemment, si un fichier scodoc9 (donc
avec le préfixe `logo_`) est présent, il est prioritaire sur le fond de page
"historique".

