
#  Guide ScoDoc pour le ou la responsable de formation 

Cette partie s'adresse plutôt aux responsables de formation (cheffes ou chefs de
département IUT, responsable de filières, ...). Nous allons apprendre à:

 * définir une formation (saisie du programme pédagogique définissant les modules)

 * mettre en place un semestre (ou session) de formation

 * inscrire des étudiants à un semestre de formation


##  Définir un programme pédagogique 
Le programme pédagogique d'une formation défini les unités d'enseignement; il est destiné à être utilisé par plusieurs sessions de formation (semestres). On doit apporter un soin particulier à la définition du programme, et éviter de le modifier une fois que des semestres sont créés (il est toutefois possible d'en créer de nouvelles *versions* pour permettre des modifications ultérieures sans affecter les semestres achevés: voir [VersionProgrammes](VersionProgrammes.md)).

On définira en général dans le programme l'ensemble des enseignements d'un diplôme (les 4 semestres d'un DUT par exemple). C'est dans une phase ultérieure que l'on mettra en place les différents semestres.

Les programmes pédagogiques ScoDoc sont structurés en Unités d'Enseignements (UE), Matières et Modules.
Un module appartient forcément à une matière, qui appartient elle même à une UE. Les modules représentent les cours ("mathématique", "anglais", ...) et sont associées à un volume horaire (cours/TD/TP) et à un coefficient: chaque module produit une note moyenne (en général obtenue à travers plusieurs *évaluations* ou contrôles). La note moyenne d'une UE est obtenue en calculant une moyenne pondérée par les coefficients des notes moyennes de modules.

Les matières n'ont pas d'autre utilité que d'aider à structurer le programme. Par exemple, on pourrait définir dans un programme une matière "Sciences" réunissant les modules de "mathématiques" et de "physique". Les matières n'ont pas de coefficient. Si l'on ne souhaite pas utiliser de matière, il suffit d'en créer une pour chaque module avec le même nom, ou au contraire (plus simplement) de créer une matière par UE et d'y placer tous les modules.

Les UE jouent un rôle particulier dans l'évaluation. En effet, selon les règles du LMD, les UE sont *capitalisables* (voir  [CapitalisationUE](CapitalisationUE.md)). De plus, l'obtention de droit des semestres d'un DUT est soumise à une moyenne supérieure à 8/20 dans chacune des UE.

Notons qu'une UE ne possède pas de coefficient. Le coefficient d'une UE n'est autre que la somme des coefficient des modules qui composent cette UE. Par conséquent, le coefficient d'UE est potentiellement variable d'un étudiant à l'autre, si les étudiants ne sont pas inscrits aux mêmes modules (options ou parcours).

Vous trouverez plus d'informations sur la définition des programmes sur la page [VersionProgrammes](VersionProgrammes.md).


##  Créer un semestre de formation 
Pour créer un semestre de formation, on va partir d'un programme pédagogique donné et y choisir un (sous)ensemble de modules. Le semestre sera associé à une date de début, une date de fin, et un responsable (*directeur des études* dans le langage IUT).

 * Options de paramétrage d'un semestre: [ParametrageSemestre](ParametrageSemestre.md)
 


##  Inscrire des étudiants 
 * [ Importer des listes d'étudiants](ImportationEtuds.md) (en début d'année ou de semestre)

 * [ Synchroniser avec une étape Apogée](SynchroApogee.md)

 * [ Vérifier les codes NIP](VerifCodeNIP.md)

 * [ Associer des photos aux étudiants](GestionPhotos.md)

 * [ Données sur scolarité antérieure et admission](DonneesAdmissions.md)
 


##  Suivi de la Scolarité 
 * [ Récapitulatif des opérations en fin de semestre et début du suivant](TransitionSemestre.md)

 * [ Note sur la capitalisation des UE](CapitalisationUE.md)

 * [ Note sur la compensation des semestres](CompensationSemestre.md) (DUT)


##  Echanges de programmes pédagogiques entre établissements 
ScoDoc permet d'exporter et d'importer des programmes pédagogiques: voir des fichiers sur la page [ExemplesProgrammesPedagogiques](ExemplesProgrammesPedagogiques.md)

<br> 

---
 - [Retour au guide utilisateur](GuideUtilisateur.md)