# Guide pour les administrateurs système de ScoDoc

ScoDoc 9 est prévu pour fonctionner sur un serveur **Linux Debian 11 (Bullseye)**. 
L'installation sur tout autre système n'est **pas supportée**. 
Utilisez un **serveur virtuel** ou un container Docker si vous n'avez pas de machine Debian dédiée.

## Installation

 * Installation de ScoDoc: [GuideInstallDebian11](GuideInstallDebian11.md)
 
 * Migration d'un serveur ScoDoc 7 vers la nouvelle version Scodoc 9: [MigrationScoDoc7a9](MigrationScoDoc7a9.md)


## Mises à jour et sauvegardes

 * [Mettre à jour du logiciel (nouvelles versions)](MisesAJour.md)
 * [Mise en place de sauvegardes des bases de données](SauvegardesBases.md)


## Configuration et préférences

 * [Administration en ligne de commande](GuideConfig.md)
 * [ConfigPermissions](ConfigPermissions.md) : description des permissions et rôles utilisés par le système.
 * [Paramétrage](PreferencesScoDoc.md): réglage des préférences

## Autres problèmes

 * [Problèmes configuration des envois mail](ProblemesMail.md)
 * [Gestion des logos et fonds de documents](GestionLogos.md)
 * [ProblemesEtBugs](ProblemesEtBugs.md) en cas d'ennuis.

##  Utilisation avancée

 * [Interfaçage avec Apogée](ScoDocApogee.md)
 * [API](ScoDoc9API.md) : API JSON ou XML pour interfaçage avec d'autres applications
 * [ServicesXml](ServicesXml.md) : web services XML pour interfaçage avec d'autres applications (obsolète).
 * [AdminUsers](AdminUsers.md) : gestion des utilisateurs
 * [InterrogationPortail](InterrogationPortail.md) : liaison avec portail

Voir aussi le [guide pour les développeurs](GuideDeveloppeurs.md) et la [FAQ](FAQ.md).

