# Utilisation de ScoDoc

ScoDoc contrôle les opérations via un mécanisme de permissions facile à mettre en œuvre et permettant de bien répartir les rôles entre les utilisateurs: responsables, enseignants, secrétariats.

## Pour le responsable de formation
La définition  des programmes, l'inscription des étudiants et certains paramétrages ne sont accessibles qu'au responsable de formation, ou chef de département.

- [Guide pour le responsable de formation](GuideAdminFormation.md)
 * [Modification d'un programme pédagogique et versions](VersionProgrammes.md)
 * [Exemples et partages de programmes pédagogiques entre établissements](ExemplesProgrammesPedagogiques.md)
 * [Importation des étudiants](ImportationEtuds.md)
     * [Synchronisation des inscrits avec Apogée](SynchroApogee.md)
     * [Procédure d'inscription des étudiants via Apogée](InscriptionsEtudApogee.md)
     * [Données sur l'origine des étudiants](DonneesAdmissions.md)
     * [Gestion des photos des étudiants](GestionPhotos.md)
     * [Coordonnées des étudiants](GestionAdresses.md)
 * [Opérations en fin de semestre (jury, ré-inscriptions, ...)](TransitionSemestre.md)
 * [Export des résultats et décisions de jury vers Apogée](ScoDocApogee.md)
 * [Utilisation des rôles et permissions](ConfigPermissionsDept.md)

## Pour les enseignants et administratifs:

 * [Édition des bulletins de notes](BulletinsNotes.md)
     * [paramétrage des bulletins pdf](ParametrageBulletins.md)
 * [Édition des PV de jury](ParametragePV.md)
 * Comment sont calculées les moyennes : [Calcul des notes](CalculNotes.md)

## Opérations diverses
#### Tenue des jurys et commissions

 * [Saisie des décisions](SaisieDecisionsJury.md)
 * [Gestion des commissions et jurys, édition des PV](GestionJury.md)
 * [Capitalisation des UE](CapitalisationUE.md)
 * [Compensation automatique des semestres](CompensationSemestre.md)

#### Suivi de l'assiduité

 * [Suivi de l'assiduité des étudiants](GestionAbsences.md)

#### Rapports, avis et tableaux de bords

 * [Rapports, suivi de cohortes, parcours](RapportsStatistiques.md)
 * [Génération des avis de poursuite d'études](AvisPoursuiteEtudes.md)

## Questions fréquentes
Voir la [FAQ](FAQ.md)
