
#  Inscription des étudiants via Apogée 
Les informations données ici ne concernent que les établissement qui ont mis en place une interface entre ScoDoc et le logiciel d'administration Apogée, comme à l'IUT de Villetaneuse.
Cette interface repose sur l'utilisation d'un "portail" offrant les services décrits sur la page [InterrogationPortail](InterrogationPortail.md).



##  Généralités 
On conserve la possibilité de créer les étudiants individuellement, ou
de les importer d'un tableau Excel. Cependant,  il est plus rationnel d'importer directement les étudiants depuis Apogée (le logiciel utilisé par la scolarité centrale).

Apogée identifie les sessions de formation (semestres) par un "code étape". Nous associons donc un code étape à chaque semestre ScoDoc. Lors de la création ou modification
d'un semestre, ScoDoc présente la liste d'étapes disponible (cette liste
peut être paramétrée dans ScoDoc via le fichier de configuration `config/default-etapes.txt` et/ou est fournie par le service `getEtapes` du portail. 

Note: Apogée réutilise les mêmes codes étapes pour les sessions d'années différentes, ces codes changent donc
rarement.

<img src="/img/alert.png" style="vertical-align: bottom; margin:0 0 0 0;" alt="/!\" /> certaines formations utilisent encore des codes Apogée *annuels* alors qu'elles sont semestrialisées.

Une fois le code étape défini, ScoDoc peut interroger Apogée pour obtenir la liste des étudiants inscrits dans cette
étape. Les informations récupérées sont:

 * identité (nom, prénom, civilité);

 * adresse (et téléphone).

Apogée ne conserve pas (en général) les informations de type "admission" (lycée d'origine, notes et type du bac, ...),
il faudra donc les importer séparément si on le souhaite (via le menu "Importer données admission").


##  Procédure à suivre pour le premier semestre (S1) 
Listes Apogée presques complètes, faire l'import depuis le portail fin juillet, puis synchros courant septembre. Voir [SynchroApogee](SynchroApogee.md)

 * nouveaux etudiants, modifs données personnelles

 * import données admission (depuis fichier Excel)


##  Réinscriptions 
Les étudiants ont jusqu'à fin octobre pour se réinscrire, il est probable que les listes
Apogée ne soient pas à jour la semaine de la rentrée. On va donc utiliser le mécanisme de passage interne à ScoDoc,
et faire une synchro fin octobre. Voir [TransitionSemestre](TransitionSemestre.md)






 
