
##  Préférences de ScoDoc 
Ces variables sont modifiables globalement ou seulement pour un semestre spécifique (sauf pour certaines d'entre elles, qui n'ont de sens que globalement). Si un semestre défini une variable (via la page "Préférences du semestre" accessible dans le menu "Semestre"), sa valeur remplace, pour lui seulement, celle définie globalement (via la page "Paramétrage").

*Page générée à l'aide de la méthode* `doc_preferences`


## Générales

Nom | &nbsp; | &nbsp;
---- | ---- | ----
`DeptName` | Nom abrégé du département | 
`DeptFullName` | Nom complet du département | inutilisé par défaut
`UnivName` | Nom de l'Université | apparait sur les bulletins et PV de jury
`InstituteName` | Nom de l'Institut | exemple "IUT de Villetaneuse". Peut être utilisé sur les bulletins.
`DeptIntranetTitle` | Nom lien intranet | titre du lien "Intranet" en haut à gauche
`DeptIntranetURL` | URL de l'"intranet" du département | lien "Intranet" en haut à gauche
`emails_notifications` | e-mails à qui notifier les opérations | adresses séparées par des virgules; notifie les opérations (saisies de notes, etc). (vous pouvez préférer utiliser le flux rss)

## Divers

Nom | &nbsp; | &nbsp;
---- | ---- | ----
`use_ue_coefs` | Utiliser les coefficients d'UE pour calculer la moyenne générale | Calcule les moyennes dans chaque UE, puis pondère ces résultats pour obtenir la moyenne générale. Par défaut, le coefficient d'une UE est simplement la somme des coefficients des modules dans lesquels l'étudiant a des notes. <b>Attention: changer ce réglage va modifier toutes les moyennes du semestre !</b>
`recap_hidebac` | Cacher la colonne Bac | sur la table récapitulative

## Suivi des absences

Nom | &nbsp; | &nbsp;
---- | ---- | ----
`email_chefdpt` | e-mail chef du département | utilisé pour envoi mail notification absences
`work_saturday` | Considérer le samedi comme travaillé | 
`handle_billets_abs` | Gestion de "billets" d'absence | fonctions pour traiter les "billets" déclarés par les étudiants sur un portail externe
`abs_notify_chief` | Notifier les absences au chef | Envoyer un mail au chef si un étudiant a beaucoup d'absences
`abs_notify_respsem` | Notifier les absences au dir. des études | Envoyer un mail au responsable du semestre si un étudiant a beaucoup d'absences
`abs_notify_respeval` | Notifier les absences aux resp. de modules | Envoyer un mail à chaque absence aux responsable des modules avec évaluation à cette date
`abs_notify_etud` | Notifier les absences aux étudiants concernés | Envoyer un mail à l'étudiant s'il a "beaucoup" d'absences
`abs_notify_email` | Notifier à: | utilisé pour envoi mail absences
`abs_notify_max_freq` | Fréquence maximale de notification | en jours (pas plus de X envois de mail pour chaque étudiant/destinataire)
`abs_notify_abs_threshold` | Seuil de première notification | nb minimum d'absences (en 1/2 journées) avant notification
`abs_notify_abs_increment` | Seuil notifications suivantes | nb minimum d'absences (en 1/2 journées supplémentaires)
`abs_notification_mail_tmpl` | Message notification e-mail | Balises remplacées, voir la documentation

## Liaison avec portail (Apogée, etc)

Nom | &nbsp; | &nbsp;
---- | ---- | ----
`portal_url` | URL du portail | 
`portal_timeout` | timeout | secondes
`portal_dept_name` | Code du département sur le portail | 
`etapes_url` | URL listant les étapes Apogée | par defaut, selon l'api, getEtapes ou scodocEtapes sur l'URL du portail
`maquette_url` | URL maquettes Apogee | par defaut, scodocMaquette sur l'URL du portail
`portal_api` | Version de l'API | 1 ou 2
`etud_url` | URL listant les étudiants Apogée | par defaut, selon l'api, getEtud ou scodocEtudiant sur l'URL du portail
`photo_url` | URL donnant la photo d'un étudiant avec argument nip= | par defaut, selon l'api, getPhoto ou scodocPhoto sur l'URL du portail
`xml_etapes_by_dept` | Etapes séparées par département | XML getEtapes structuré en départements ?
`notify_etud_changes_to` | e-mail à qui notifier les changements d'identité des étudiants | utile pour mettre à jour manuellement d'autres bases de données
`always_require_ine` | Impose la présence du code INE | lors de toute création d'étudiant (manuelle ou non)
`always_require_apo_sem_codes` | Impose la présence des codes Apogée | lors des créations de semestres
`export_res_etape` | Exporter résultat de l'étape | remplissage maquettes export Apogée
`export_res_sem` | Exporter résultat du semestre | remplissage maquettes export Apogée
`export_res_ues` | Exporter les résultats d'UE | remplissage maquettes export Apogée
`export_res_modules` | Exporter les résultats de modules | remplissage maquettes export Apogée
`export_res_sdj` | Exporter les résultats même sans décision de jury | si coché, exporte exporte étudiants même si pas décision de jury saisie (sinon laisse vide)
`export_res_rat` | Exporter les RAT comme ATT | si coché, exporte exporte étudiants en attente de ratrapage comme ATT (sinon laisse vide)

## Mise en forme des documents PDF

Nom | &nbsp; | &nbsp;
---- | ---- | ----
`SCOLAR_FONT` | Police de caractère principale | pour les pdf
`SCOLAR_FONT_SIZE` | Taille des caractères | pour les pdf
`SCOLAR_FONT_SIZE_FOOT` | Taille des caractères pied de page | pour les pdf
`pdf_footer_x` | Position horizontale du pied de page pdf (en mm) | 
`pdf_footer_y` | Position verticale du pied de page pdf (en mm) | 

## Procès verbaux de jury (documents PDF)

Nom | &nbsp; | &nbsp;
---- | ---- | ----
`DirectorName` | Nom du directeur de l'établissement | pour les PV de jury
`DirectorTitle` | Titre du "directeur" | titre apparaissant à côté de la signature sur les PV de jury
`ChiefDeptName` | Nom du chef de département | pour les bulletins pdf
`INSTITUTION_NAME` | Nom institution sur pied de pages PV | (pdf, balises &lt;b&gt; interprétées)
`INSTITUTION_ADDRESS` | Adresse institution sur pied de pages PV | (pdf, balises &lt;b&gt; interprétées)
`INSTITUTION_CITY` | Ville de l'institution | pour les lettres individuelles
`PV_INTRO` | Paragraphe d'introduction sur le PV | Balises remplacées: %(Univname)s = nom de l'université, %(DecNum)s = numéro de l'arrêté, %(Date)s = date de la commission, %(Type)s = type de commission (passage ou délivrance) 
`PV_WITH_BACKGROUND` | Mettre l'image de fond sur les PV de jury (paysage) | 
`PV_WITH_HEADER` | Ajouter l'en-tête sur les PV (paysage) | 
`PV_WITH_FOOTER` | Ajouter le pied de page sur les PV (paysage) | 
`pv_left_margin` | Marge gauche PV en mm | 
`pv_top_margin` | Marge haute PV | 
`pv_right_margin` | Marge droite PV | 
`pv_bottom_margin` | Marge basse PV | 
`PV_LETTER_DIPLOMA_SIGNATURE` | Signature des lettres individuelles de diplôme | %(DirectorName)s et %(DirectorTitle)s remplacés
`PV_LETTER_PASSAGE_SIGNATURE` | Signature des lettres individuelles de passage d'un semestre à l'autre | %(DirectorName)s et %(DirectorTitle)s remplacés
`pv_sig_image_height` | Hauteur de l'image de la signature | Lorsqu'on donne une image de signature, elle est redimensionnée à cette taille (en millimètres)
`PV_LETTER_TEMPLATE` | Lettre individuelle | Balises remplacées et balisage XML, voir la documentation
`PV_LETTER_WITH_BACKGROUND` | Mettre l'image de fond sur les lettres individuelles de décision | 
`PV_LETTER_WITH_HEADER` | Ajouter l'en-tête sur les lettres individuelles de décision | 
`PV_LETTER_WITH_FOOTER` | Ajouter le pied de page sur les lettres individuelles de décision | 
`pv_htab1` | marge colonne droite lettre | pour les courriers pdf
`pv_htab2` | marge colonne gauche lettre | pour les courriers pdf
`PV_FONTNAME` | Police de caractère pour les PV | pour les pdf

## Réglages des bulletins de notes

Nom | &nbsp; | &nbsp;
---- | ---- | ----
`bul_title` | Titre des bulletins | <tt>%(DeptName)s</tt> est remplacé par le nom du département
`bul_class_name` | Format des bulletins | format de présentation des bulletins de note (web et pdf)
`bul_show_abs` | Indiquer les absences sous les bulletins | 
`bul_show_abs_modules` | Indiquer les absences dans chaque module | 
`bul_show_decision` | Faire figurer les décisions sur les bulletins | 
`bul_show_ects` | Faire figurer les ECTS sur les bulletins | crédits associés aux UE ou aux modules, selon réglage
`bul_show_codemodules` | Afficher codes des modules sur les bulletins | 
`bul_show_matieres` | Afficher les matières sur les bulletins | 
`bul_show_all_evals` | Afficher toutes les évaluations sur les bulletins | y compris incomplètes ou futures
`bul_show_rangs` | Afficher le classement sur les bulletins | 
`bul_show_ue_rangs` | Afficher le classement dans chaque UE sur les bulletins | 
`bul_show_mod_rangs` | Afficher le classement dans chaque module sur les bulletins | 
`bul_show_moypromo` | Afficher moyennes de la promotion sur les bulletins | 
`bul_show_minmax` | Afficher min/max moyennes sur les bulletins | 
`bul_show_minmax_mod` | Afficher min/max moyennes des modules sur les bulletins | 
`bul_show_minmax_eval` | Afficher min/max moyennes des évaluations sur les bulletins | 
`bul_show_coef` | Afficher coefficient des ue/modules sur les bulletins | 
`bul_show_ue_cap_details` | Afficher détail des notes des UE capitalisées sur les bulletins | 
`bul_show_ue_cap_current` | Afficher les UE en cours mais capitalisées sur les bulletins | 
`bul_show_temporary_forced` | Bannière "provisoire" sur les bulletins | 
`bul_show_temporary` | Bannière "provisoire" si pas de décision de jury | 
`bul_temporary_txt` | Texte de la bannière "provisoire | 
`bul_show_uevalid` | Faire figurer les UE validées sur les bulletins | 
`bul_show_mention` | Faire figurer les mentions sur les bulletins et les PV | 
`bul_show_date_inscr` | Faire figurer la date d'inscription sur les bulletins | 
`bul_show_sig_left` | Faire figurer le pied de page de gauche (ex.: nom du directeur) sur les bulletins | 
`bul_show_sig_right` | Faire figurer le pied de page de droite (ex.: nom du chef de département) sur les bulletins | 
`bul_display_publication` | Indique si les bulletins sont publiés | décocher si vous n'avez pas de portal étudiant publiant les bulletins
`bul_pdf_title` | Bulletins PDF: paragraphe de titre | (balises interprétées, voir documentation)
`bul_pdf_caption` | Bulletins PDF: paragraphe sous table note | (visible seulement si "Faire figurer les décision" est coché)
`bul_pdf_sig_left` | Bulletins PDF: signature gauche | (balises interprétées, voir documentation)
`bul_pdf_sig_right` | Bulletins PDF: signature droite | (balises interprétées, voir documentation)
`bul_pdf_mod_colwidth` | Bulletins PDF: largeur col. modules | en cm (vide si auto)
`SCOLAR_FONT_BUL_FIELDS` | Police titres bulletins | pour les pdf

## Marges additionnelles des bulletins, en millimètres

Nom | &nbsp; | &nbsp;
---- | ---- | ----
`left_margin` | Marge gauche | 
`top_margin` | Marge haute | 
`right_margin` | Marge droite | 
`bottom_margin` | Marge basse | 

## Envoi des bulletins par e-mail

Nom | &nbsp; | &nbsp;
---- | ---- | ----
`email_copy_bulletins` | e-mail copie bulletins | adresse recevant une copie des bulletins envoyés aux étudiants
`email_from_addr` | adresse mail origine | adresse expéditeur pour les envois par mails (bulletins)
`bul_intro_mail` | Message d'accompagnement | <tt>%(DeptName)s</tt> est remplacé par le nom du département, <tt>%(nomprenom)s</tt> par les noms et prénoms de l'étudiant, <tt>%(dept)s</tt> par le nom du département, et <tt>%(webmaster)s</tt> par l'adresse mail du Webmaster.
`bul_mail_list_abs` | Indiquer la liste des dates d'absences par mail | dans le mail envoyant le bulletin de notes
`bul_mail_contact_addr` | Adresse mail contact "webmaster" | apparait dans le mail accompagnant le bulletin, voir balise "webmaster" ci-dessus.
`bul_mail_allowed_for_all` | Autoriser tous les utilisateurs à expédier des bulletins par mail | 

## Mise en forme des feuilles (Absences, Trombinoscopes, ...)

Nom | &nbsp; | &nbsp;
---- | ---- | ----
`feuille_releve_abs_taille` | Taille feuille relevé absences | Dimensions du papier pour les feuilles de relevés d'absences hebdomadaire
`feuille_releve_abs_format` | Format feuille relevé absences | Format du papier pour les feuilles de relevés d'absences hebdomadaire
`feuille_releve_abs_samedi` | Samedi travaillé | 
`feuille_releve_abs_AM` | Créneaux cours matin | Nombre de créneaux de cours le matin
`feuille_releve_abs_PM` | Créneaux cours après-midi | Nombre de créneaux de cours l'après-midi
`feuille_placement_emargement` | Feuille d'émargement des contrôles - Signature étudiant | Hauteur de l'espace pour signer
`feuille_placement_positions` | Feuille des places lors des contrôles | Nombre maximum de lignes par colonne
`prepa_jury_nip` | Code NIP sur la feuille préparation jury | 
`prepa_jury_ine` | Code INE sur la feuille préparation jury | 
`anonymous_lst_code` | Code pour listes anonymes | à défaut, un code interne sera utilisé

## Avis de poursuites d'études

Nom | &nbsp; | &nbsp;
---- | ---- | ----
`NomResponsablePE` | Nom du responsable des poursuites d'études | pour les avis pdf de poursuite
`pe_avis_latex_tmpl` | Template LaTeX des avis | préparez-le dans un éditeur de texte puis copier le contenu ici (en utf8). Sinon, le fichier un_avis.tex du serveur sera utilisé.
`pe_avis_latex_footer` | Code LaTeX en fin d'avis | 
`pe_tag_annotation_avis_latex` | Tag désignant l'avis PE | ajoutez une annotation aux étudiants précédée du tag désigné ici pour qu'elle soit interprétée comme un avis de poursuites d'études et ajoutée aux avis LaTeX.

## Connexion avec le logiciel d'emplois du temps

Nom | &nbsp; | &nbsp;
---- | ---- | ----
`edt_sem_ics_url` | Lien EDT | URL du calendrier ics emploi du temps du semestre (template)
`edt_groups2scodoc` | Noms Groupes | Transcodage: nom de groupe EDT ; non de groupe ScoDoc (sur plusieurs lignes)
`ImputationDept` | Département d'imputation | préfixe id de session (optionnel, remplace nom département)
