
#  Paramétrage des bulletins de notes 
Ces réglages permettent de configurer la présentation des relevés de notes au format PDF.

Le bulletin est constitué de plusieurs zones:

 * Le titre;
 * le tableau des notes;
 * les absences et appréciations (immédiatement sous le tableau des notes; les absences ne sont mentionnés que si la case "Indiquer les absences sur les bulletins" est cochée);
 * la situation de l'étudiant (inscription, décision de jury, validations d'UE);
 * la signature de gauche et celle de droite;
 * le pied de page.
 
Le contenu et la présentation des zones titre, situation et signatures sont paramétrables à l'aide de formats utilisant un balisage XML assez simple.


##  Marges et position du pied de page 
Les bulletins sont formattés pour du papier A4.

Les marges sont réglables via les valeurs dans la section "Marges additionnelles des bulletins". Ces valeurs s'ajoutent aux marges par défaut qui sont assez étroites.

Le pied de page (*Edité par ScoDoc le ...*) n'est pas affecté par le réglage des marges, et est positionné à l'aide des paramètres "Position horizontale du pied de page pdf" (resp. verticale) dans la section "Mise en forme des documents PDF". Ces valeurs affectent tous les documents PDF générés par ScoDoc. 


##  Valeurs remplacées 
Dans les formats, les balises de la forme `%(X)s` sont remplacées par la valeur (texte) de la variable X si elle existe. Les variables définies apportent différentes informations:


###  Préférences 
Toutes les préférences pour le semestre considéré (ou définies globalement) sont utilisables par leur nom.
Voir la liste complète sur [NomsPreferences](NomsPreferences.md).


###  Informations sur le semestre 
Variable | Valeur
---------|-------
titre_num | Le titre du semestre
titremois | idem avec dates début et fin
annee | L'année de début du semestre
anneescolaire | L'année scolaire (par ex. "2009 - 2010")
date_debut | 01/09/2008
date_fin | 05/07/2009
responsable | Nom du responsable du semestre (dir. des études)


###  Informations sur l'étudiant 
Variable | Valeur (exemple)
---------|-------
nom| DUPONT
prenom| PIERRE
sexe| M.
nomprenom| M. Pierre DUPONT
situation| phrase expliquant la situation de l'étudiant (inscription, décisions de jury)
demission| "DEMISSION" ou vide
inscription| phrase décrivant l'inscription ("ancien")
date_inscription| jj/mm/aaaa
date_demission | (vide si pas démission)
descr_inscription| "Inscrit" ou "Pas inscrit[e]"
descr_demission | "Démission le 01/02/2000" ou vide si pas de démission
decision_jury   |  "Validé", "Ajourné", ... (code semestre, vide en BUT)
descr_decision_jury| "Décision jury: Validé" (une phrase)
decisions_ue      | noms (acronymes) des UE validées, séparées par des virgules.
descr_decisions_ue| " UE acquises: UE1, UE2", ou vide si pas de dec. ou paramétrage
mention| Mention, calculée d'après la moyenne générale (vide en BUT)
 |
**Jurys de BUT:** |
 descr_decision_annee | vide ou "Décision année: ADM" (code annuel: `ADM`, `PASD`, `DEF`...)
 descr_decisions_rcue | vide ou nom de la compétence et code jury RCUE: "Administrer 1: ADM, Connecter 1: ADJ" 
 descr_decisions_niveaux | pareil, avec "Niveaux de compétences: " devant
 |
**Absences:** |
nbabs| nombre d'absences (en demi-journées)
nbabsjust| nombre d'abs. justifiées
 |
**Autres champs:**|
date_naissance | date, au format jj/mm/aaaa 
lieu_naissance | format libre 
domicile | adresse, format libre
codepostaldomicile | 
codelycee | code national français 
 |
**Groupes:**| 
groupes | indique les groupes auxquels appartient l'étudiant dans le semestre
group_0 | nom du groupe principal (1ère partition)
group_<n> | nom du group de la n-ième partition


###  Autres informations 
Variable | &nbsp;
---------|-------
date_dmy | date courante, au format jj/mm/aaaa
date_iso | date courante, au format aaaa-mm-jj



##  Balises XML utilisées dans les formats 
Le balisage XML est celui de [ReportLab](http://www.reportlab.com/) (intra-paragraph markup, voir page 70 du [guide utilisateur](http://www.reportlab.com/docs/reportlab-userguide.pdf)). La balise `<img>` n'est pas utilisable.


###  Logos 
Une balise supplémentaire est interprétée par ScoDoc pour insérer des logos (images).

Les logos sont des images au format JPEG (extension `.jpg` ou `.jpeg`) ou PNG
(extension `.png`), téléversés sur le serveur scodoc et intégrables dans les
documents PDF. [Plus d'information sur la gestion des logos ici](GestionLogos.md).

Principes généraux : 

* Un logo est désigné par un identifiant (nom) et peut être défini soit globalement, soit pour un département;

* le nom d'un logo est exclusivement composé de caractères alphanumériques ou du caractère '`-`';

* les logos définis globalement sont accessibles pour tous les départements.
Toutefois, si un logo de même nom est également présent dans un département,
c'est le logo du département qui sera utilisé en lieu et place de logo global;

* les logos de nom '`header`' et '`footer`' définis globalement ne peuvent être supprimés (mais peuvent être redéfinis).

L'enregistrement, la modification ou la suppression d'un logo peut être réalisé via la page de configuration qui est accessible aux 
administrateurs Scodoc depuis la page d'accueil.

Ce formulaire comporte une section pour les définitions globales plus une section par département.

Une section présente la liste des logos avec leurs propriétés (la dimension est donnée à titre indicatif quand elle est disponible). 

Pour chaque logo, les actions disponibles sont :

* Le remplacement de l'image existante par un nouveau fichier ;

* la suppression du logo (sauf pour `header`et `footer`dans la section globale) ;

* l'ajout d'un nouveau logo dans une section (global ou département) et indiquant le nom.

*NB*. Quelle que soit l'opération effectuée, le nom du fichier téléversé n'a aucune importance
(Seul le nom indiqué dans le formulaire est pris en compte et le format du fichier est déduit des données propres du fichier)

La balise `<logo name="xxx" width="44mm" height="22mm" valign="+5mm"/>`, placée dans un paragraphe, insère le logo de nom `xxx` avec les dimensions indiquées.
Le paramètre `valign` règle le positionnement vertical par rapport à la ligne de texte courante.

Notez qu'il est possible de ne préciser que l'une des deux dimensions hauteur ou largeur. 
Dans ce cas, la dimension manquante est déduite du ratio (rapport hauteur/largeur) de l'image originale.
Voir un exemple d'utilisation plus bas.

### Fond de page.
Les modalités d'utilisation des fonds de pages sont similaires pour les PV, les lettres individuelles de décision et les bulletins.
Celles-ci sont décrites ici: [Paramétrage des PV. Images de fond de page](ParametragePV.md)

##  Exemples 
###  Exemple 1: Bulletins par défaut 
Les bulletins édités par défaut sont obtenus avec:

 * Paragraphe de titre:
```
<para fontSize="14" align="center">
<b>%(UnivName)s</b>
</para>
<para fontSize="16" align="center" spaceBefore="2mm">
<b>%(InstituteName)s</b>
</para>
<para fontSize="16" align="center" spaceBefore="4mm">
<b>RELEVÉ DE NOTES</b>
</para>

<para fontSize="15" spaceBefore="3mm">
%(nomprenom)s <b>%(demission)s</b>
</para>

<para fontSize="14" spaceBefore="3mm">
Formation: %(titre_num)s</para>
<para fontSize="14" spaceBefore="2mm">
Année scolaire: %(anneescolaire)s
</para>
```

 * Paragraphe sous table note:
```
<para spaceBefore="5mm" fontSize="14"><i>%(situation)s</i></para>
```

 * Signature de gauche
```
<para>La direction des études
<br/>
%(responsable)s
</para>
```

 * Signature de droite:
```
<para>Le chef de département
<br/>
%(ChiefDeptName)s
</para>
```



###  Exemple 2: ancien bulletins 
Les bulletins édités par défaut avant le 20/9/2009 étaient obtenus avec:

 * Paragraphe de titre:
```
<para fontSize="16">
<b>%(UnivName)s</b>
</para><para fontSize="14" spaceBefore="2mm">
<b>%(titre_num)s %(annee)s</b></para>
<para fontSize="14" spaceBefore="2mm">
<b>Relevé de notes de <i>%(nomprenom)s</i> %(demission)s</b>
</para>
```

 * Paragraphe sous table note:
```
<para spaceBefore="5mm" fontSize="14"><i>%(situation)s</i></para>
```

 * Signature de gauche
```
<para>La direction des études
<br/>
%(responsable)s
</para>
```

 * Signature de droite:
```
<para>Le chef de département
<br/>
%(ChiefDeptName)s
</para>
```


###  Exemple 3: en-tête avec logo 
Même structure que le premier exemple, avec un logo. Notez que les dimensions du logo (en mm ou cm) doivent avoir le même rapport (hauteur/largeur) que l'image utilisée, sans quoi l'apparence est déformée.

 * Paragraphe de titre:
```
<para fontSize="16" align="center" spaceBefore="2mm">
<b>%(InstituteName)s</b>
</para>
<para fontSize="16" align="center" spaceBefore="4mm">
<b>RELEVÉ DE NOTES</b>
</para>

<para fontSize="15" spaceBefore="3mm">
<logo name="header" width="44mm" height="22mm" valign="+5mm"/>
<br/>
%(nomprenom)s <b>%(demission)s</b>
</para>

<para fontSize="14" spaceBefore="3mm">
Formation: %(titre_num)s</para>
<para fontSize="14" spaceBefore="2mm">
Année scolaire: %(anneescolaire)s
</para>
```

