
#  Paramétrage des procès-verbaux de jury et lettres individuelles

Les PV de jury et les lettres individuelles sont des documents (pdf) officiels, générés après les jurys.

Le PV de jury est en format paysage et liste les résultats des étudiants choisis, comme dans cet exemple (les noms et codes sont fictifs):

![PVJury](screens/PVJury.png)

## Image de fond de page (logos, tête, pied)
L'exemple ci-dessus utilise une image de fond qui contient l'en-tête et le pied de page, avec des logos. Il faut fournir à ScoDoc une image de fond. Le plus simple est généralement de la composer dans un logiciel de traitement de texte, et de l'enregistrer en image: exporter en PDF puis convertir le PDF en image PNG ou JPEG de bonne résolution (300dpi , par exemple avec un logiciel comme Aperçu sur Mac.

L'image obtenue peut ensuite être téléversée sur le serveur de la même façon que pour un simple logo 
(voir la section [paramétrage des bulletins, section Logos](ParametrageBulletins.md)
avec le nom "`pvjury_background`" ou "`letter_background`" selon le type de document visé.

Il ne reste plus qu'à activer l'option correspondante soit globalement dans le
paramétrage du département, soit (pour les bulletins) dans par le menu réglage
bulletin du semestre (qui a priorité):

 - Mettre l'image de fond sur les PV de jury (paysage)
 - Mettre l'image de fond sur les bulletins
 - Mettre l'image de fond sur les lettres individuelles de décision

**Note** : pour les serveurs migrés depuis ScoDoc 7, les anciennes
configurations sont normalement reprises automatiquement.

L'image doit ensuite être enregistrée sur le serveur à un emplacement spécifique
(seul l'administrateur du serveur peut faire cela): [voir la page sur la
configuration les images](GestionLogos.md).

Ne pas oublier d'activer l'option *"Mettre l'image de fond sur les PV de jury"*
dans les [paramètres du département](PreferencesScoDoc.md).

**Note :** on peut aussi ajouter les logos séparément, mais il est souvent plus
commode de fournir une trame de fond complète. Voir
[ici](GuideConfig/#changement-des-logos-apparaissant-sur-les-documents) si
besoin.

## PV de Jury: textes, marges et autres paramètres

Les [préférences](PreferencesScoDoc.md) concernant les PV de jury sont:

<img src="/screens/PVPreferences.png" width="50%">

Les marges sont réglables en millimètres, afin de faire tenir le contenu dans l'espace entre les logos, en-têtes, etc.

Les paragraphes de texte utilisent un balisage identique à celui des bulletins de notes, voir [ParametrageBulletins](ParametrageBulletins.md).

## Lettres individuelles

ScoDoc génère un document PDF contenant les lettres de tous les étudiants du semestre ou d'un groupe.

Le principe est le même, mais on fournit une trame de fond au format portrait,
comme indiqué plus haut. Le texte de la lettre est configurable dans les
préférences. 

<img src="/screens/LettresPreferences.png" width="50%">

Exemple de résultat:

![LettreIndividuelle](screens/LettreIndividuelle.png)
