
##  Préférences 
Les préférences sont des paramètres stockés dans la base de données d'un
département. Les préférences s'appliquent à tout un département (tous les
semestres), ou bien à un semestre particulier. Chaque département a son propre
jeu de préférences (c'est parfois regrettable, car certaines préférences
concernent tout l'établissement).


Si un semestre ne défini pas de valeur pour un paramètre (eg marge, police,
paramétrage du bulletin de notes...), ScoDoc utilisera les préférences globales
pour le département.

Donc:

 * Pour affecter tous les semestres sauf ceux qui ont dit autrement: suivre le
   lien "Paramétrage" dans la marge gauche (visible uniquement si vous en avez
   la permission).

 * Pour affecter seulement un semestre: menu "Semestre", "Réglages bulletins" ou
   "Préférences du semestre".

On accède aux préférences via le lien "Paramétrage", qui est présent dans la
marge gauche seulement si l'on a le droit de modifier les préférences (la
permission `Sco Change Preferences`, normalement associée au rôle `Admin`
possédé par chef du département, voir
[ConfigPermissions](ConfigPermissions.md)).

On distingue plusieurs groupes de préférences:

 * Générales: nom de l'Université, du directeur, etc...

 * Absences: alarmes si beaucoup d'absences, statut des samedis... (voir détails
   sur [GestionAbsences](GestionAbsences.md))

 * Liaison avec le portail: URL du portail, code du département, ...

 * Mise en forme des documents PDF: polices de caractères

 * Procès verbaux de jury: en-têtes, pieds de pages, signatures, polices...


Voir la liste des préférences sur la page [NomsPreferences](NomsPreferences.md).

Note pour les développeurs: les préférences et leurs valeurs par défaut sont
définies dans le fichier `sco_preferences.py`.

