# Présentation rapide de ScoDoc

Voir les <a href="https://www.youtube.com/playlist?list=PLw49h6RbvswhasBk9bXj7PzOD8GDW3kG1" target="_blank">Vidéos d'introduction sur YouTube <img src="img/tube.png" alt="" style="margin-top:0px; margin-bottom:0px; border-width:0px;"/></a>

## Page d'accueil
![accueil](screens/accueil-scodoc7.png)

On y trouve les éléments suivants:

La colonne de gauche indique l'identité de l'utilisateur connecté (en rouge à droite) et contient des liens facilitant la navigation sur le site (certains sont paramétrables à l'installation). On note l'accès à trois composants importants: Entreprises (fichier d'entreprises), Notes (gestion des notes), Absences (relevé des absences), et un champ de texte permettant de rechercher un étudiant par son nom.  

L'identité de l'utilisateur défini ses droits d'accès (rôle) et les fonctions qu'il peut utiliser.

Le centre de la page donne les formations (sessions) en cours, groupées par type. A côté du titre de chaque formation, on a le nom de son responsable (ou directeur des études dans le jargon IUT), ainsi que les dates de début et de fin de la session.
 
## Fiche étudiant
Pour accéder à la fiche d'un étudiant, on peut soit le rechercher par nom (voir RechercheEtudiant) soit cliquer sur un lien dans une liste ou sur une photo d'un trombinoscope. Cette fiche (exemple ci-dessous) donne accès à toutes les informations sur l'étudiant.
![fiche étudiant](screens/ficheEtud-scodoc7.png)

## Suivi de l'assiduité
ScoDoc permet d'enregistrer les absences des étudiants puis de les visualiser sur un calendrier. On peut aussi obtenir des comptes d'absences, générer des alarmes par e-mail pour prévenir un responsable, vérifier les absences qui coincident avec un examen, enregistre les justificatifs, etc. 
![calendrier des absences](screens/calabs-scodoc7.png)

## Gestion des notes

La gestion des notes est la partie principale du logiciel et est conçue pour faciliter au maximum le travail des enseignants, grâce à une grande flexibilité (définition des évaluations, import/export via Excel ou saisie sur formulaire web, vérifications, etc.).

### Tableau de bord du semestre, avec les modules
![tableau de bord du semestre](screens/tableaubord2011.png)

### Tableau récapitulatif des moyennes
![tableau de bord du semestre](screens/NotesRecap2012-crop.png) 

### Bulletins de notes
Les bulletins sont affichables selon différents formats (ci-dessous le format par défaut). Ils peuvent être exportés sous forme de document PDF (pour impression papier), à d'autres formats (XML, Excel) ou directement envoyé par mail aux étudiants.
![bulletin de note web](screens/BulletinInter2012-crop.png)

## Gestion des jurys et commissions
Une interface permet la saisie des décisions de jury. Le parcours de l'étudiant (redoublements, validations antérieures, compensations entre semestres, capitalisations d'UE) est automatiquement pris en compte, permettant aux enseignant de se concentrer sur les aspects pédagogiques sans perdre de temps avec la gestion administrative (parfois assez complexe).

ScoDoc intègre la gestion des jurys des DUT (2005) et bientôt du Bachelor Universitaire de technologie (BUT) et s'assure que les décisions prises respectent les règles.

## Gestion des groupes

ScoDoc permet de définir des partitions et groupes en nombre quelconque, et d'y répartir facilement les étudiants (glisser/déposer, fonctions de répartition automatiques).
![affectation aux groupes](screens/GroupesDnD.png)

## Trombinoscopes
![trombinoscope](screens/Trombi-scodoc7.png)
*(en réalité vous aurez les photos de vos étudiants !)*

## Autres fonctionnalités

### Imports / Exports
Les données conservées dans le logiciel peuvent être exportées dans une grande  variété de formats (pages web, PDF, Excel, XML...) ce qui facilite tant son usage par  des non informaticiens que son intégration dans d'autres logiciels (portails d'établissements,  systèmes d'informations comme Apogée). 

