
#  Rapports statistiques 
ScoDoc permet de calculer et visualiser des indicateurs sur les parcours des étudiants. Ces fonctions sont précieuses pour analyser les flux d'étudiants, tenter de comprendre les causes d'échecs, et remplir les dossiers d'évaluations pour le ministère...

Ces fonctions sont toutes accessibles à tous les utilisateurs (dans le paramétrage par défaut), et sont regroupées dans le menu "Statistiques" du tableau de bord semestre.


##  Suivi de cohortes 
Le tableau de suivi de cohortes se présente comme suit:

![SuiviCohortes.png](screens/SuiviCohortes.png)

La première ligne donne l'effectif dans le semestre origine (le semestre sélectionné).
ScoDoc suit les étudiants de ce semestre d'origine. Il crée une colonne par semestre (les semestres correspondant à chaque date sont listés en bas de la page).

Les lignes suivantes donnent, pour chaque date, le nombre d'étudiants dans chaque semestre (S1, S2, S3, S4).

 * La ligne **Inscrits** donne le nombre d'étudiants de la cohorte encore présents à chaque date;
 * la ligne **Démissions** donne le nombre d'étudiants ayant démissionnés durant la période correspondant à la colonne;
 * la ligne **Echecs** donne le nombre d'étudiants *réorientés* à la fin de la période correspondant à la colonne;
 * la ligne **Diplômes** donne le nombre d'étudiants *diplômés* à la fin de la période correspondant à la colonne.

Les nombres peuvent être affichés en pourcentage (de l'effectif initial de la cohorte) ou bien en nombres bruts.

Comme dans la plupart des tables affichées par ScoDoc, on peut trier les lignes de la table en cliquant sur un titre, et exporter la table aux formats PDF et tableur (Excel).


##  Graphes des parcours 
Ces graphes permettent de suivre les étudiants inscrits dans un semestre donné. Ils présentent à la fois l'origine et le devenir des étudiants de ce semestre.

Le graphe permet de suivre les étudiants inscrits dans le semestre sélectionné (dessiné en vert). Chaque rectangle représente un semestre (cliquez dedans pour afficher son tableau de bord). Les flèches indiquent le nombre d'étudiants passant d'un semestre à l'autre (s'il y en a moins de 10, vous pouvez visualiser leurs noms en passant la souris sur le chiffre).

<img src="/img/alert.png" style="vertical-align: bottom; margin:0 0 0 0;" alt="/!\" /> Attention: seuls les étudiants inscrits dans le semestre sélectionné sont montrés sur le graphe. Les effectifs affichés dans chaque semestre correspondent donc aux étudiants de ce semestre qui sont aussi passé par le semestre sélectionné.


###  Un exemple simple: 
Le semestre sélectionné est ici le S1 du 9/2007 au 1/2008 (dessiné en vert). Les deux rectangles de gauche montrent les semestres d'où viennent des étudiants ayant redoublé pour retourner en S1. Le rectangle de droite (S2) nous indique que 41 étudiants sur 48 sont passés de S1 en S2.

![GrapheParcours-1.png](screens/GrapheParcours-1.png)

*(dans la version web, on obtient plus d'informations en passant le curseur sur les différents éléments du graphe)*


###  Un exemple plus complexe: 
Le graphe suivant montre le devenir des étudiants inscrits en S1, dans un département avec différentes options (les noms des options sont visibles dans la version web) et avec des semestres décalés (S1d, S2d, S3d, S4d).

![GrapheParcours-2-small.png](screens/GrapheParcours-2-small.png)


##  Statistiques 
Cette page affiche une table donnant des informations sur les étudiants inscrits dans le semestre.

Chaque étudiant possède des attributs: 

 * **annee_naissance**: année de naissance
 * **sexe**
 * **annee_bac**: année d'obtention du bac
 * **bac**: série de bac (ex: L, S, ...)
 * **specialite**: spécialité du bac (ex: STI, STL, ...)
 * **bac-specialite**: concaténation du champ bac et du champ specialite
 * **villelycee**: ville du Lycée
 * **etat**: état de l'étudiant (I si inscrit, D si démissionnaire)
 * **qualite**: "qualité" du dossier (nombre renseigné lors de l'admission, non utilisé par ScoDoc, son l'interprétation est libre)
 * **codedecision**: code décision jury (s'il a eu lieu) (ex: ADM, AJ, ATB, ...)

<img src="/img/alert.png" style="vertical-align: bottom; margin:0 0 0 0;" alt="/!\" /> ces attributs ne sont pas toujours renseignés, il faut avoir importé certains d'entre eux (données d'admission).


La table permet de croiser deux attributs. Par défaut, elle affiche les décisions de jury (en colonnes) versus la série de bac (en lignes).

Exemple:

![StatsBac.png](screens/StatsBac.png)

On voit ici que, sur 163 étudiants inscrits, on a 12 bacs S (7,4%), dont 7 ont été admis (code ADM).


##  Codes des parcours 
Les codes de parcours permettent de visualiser rapidement les parcours des étudiants.

On forme pour chaque étudiant un code constitué de la concaténation des numéros de semestres qu'il a suivi.
Un étudiant inscrit en S1, puis S2, puis S3 et S4 aura un code "1234". Les semestres "décalés" (par exemple un S1 commençant en février) sont repérés par la lettre "d".

A la fin d'un parcours, l'étudiant peut obtenir son diplôme (code `:A`, comme "admis"), ou peut être réorienté (code `:R`), ou encore démissionner (code `:D`).

ScoDoc indique dans un tableau le nombre d'étudiants du semestre dans chaque type de parcours.

