#  Interfaçage ScoDoc - Apogée 
L'export des résultats de ScoDoc vers Apogée se fait après le jury. Pour les DUT classiques, on le fait deux fois par an: une première fois en janvier, une autre en juillet.

L'export des notes finales (et des décisions de jury) vers le logiciel Apogée peut être fait de plusieurs façons: soit par remplissage automatique de maquettes Apogée, soit en passant par des fichiers Excel.

La procédure détaillée d'import des résultats de ScoDoc dans Apogée est décrite ici: [SCODOC_import_notes_dans_apogee.pdf](papers/SCODOC_import_notes_dans_apogee.pdf), merci à Bérangère Lhoumeau, du service Scolarité de l'IUT de Tarbes.

##  Remplissage des fichiers maquette Apogée (CSV) 
Solution intégrée à ScoDoc en juillet 2016.

La démarche est la suivante:

 1. S'assurer que les maquettes pédagogiques Apogée et ScoDoc sont cohérentes. Les éléments pédagogiques Apogée (UE, modules) ont des codes (comme `VRTU11`) qu'il faut reporter dans les programmes ScoDoc (champs "Code Apogée" dans les programmes pédagogiques.
 1. Exporter depuis Apogée le fichier CSV à remplir.
 1. Sélectionner l'ensemble des semestres (S2 ou S4 ou LP) à considérer. Le menu "Jury / Export vers Apogée" permet de remplir ce fichier. Il génère aussi plusieurs fichiers annexes, dont un résumé des décision commenté, et une liste des étudiants interdits de ré-inscription (les "NAR", pour Non Autorisés à Redoubler).
 1. Importer dans ScoDoc les fichiers maquette Apogée nécessaires (un par étape Apogée).
 1. Après tenue du jury ScoDoc, vérifier la cohérence des listes de ScoDoc avec celle d'Apogée et exporter les maquette remplies.
 1. Les fichiers remplis peuvent alors être importés dans Apogée.

<img src="/img/alert.png" style="vertical-align: bottom; margin:0 0 0 0;" alt="/!\" /> Bien que ScoDoc tente d'inférer de nombreuses informations, les résultats doivent impérativement être vérifiés avant clôture des opérations et édition des PV et attestations.

Quelques détails ci-dessous.


###  Saisie des codes Apogée dans ScoDoc 
Les codes Apogée  des éléments constitutifs (UE et modules de ScoDoc) doivent être saisis par le responsable de formation sur la page d'édition du programme pédagogique. En principe, le programme pédagogique ScoDoc est utilisé par de nombreux semestres. Afin de faciliter la gestion, il est possible d'éditer les codes Apogée des formations même si elles sont verrouillées, et cela peut se faire directement sur la page qui montre l'ensemble de la formation. Il suffit de cliquer sur un code Apogée, pour ouvrir un champ d'édition, comme on le voit ci-dessous:
 
![SaisieCodeApoModule.png](screens/SaisieCodeApoModule.png)

Par ailleurs, chaque semestre est associé à une étape Apogée (VET), et, en option, à un code d'élément annuel et un code d'élément semestre. Pour le deuxième semestre 5S2) du DUT R&T Villetaneuse, cela donne:

 * Code étape (VET): `V1RT` (l'étape est annuelle)
 * Code année (ELP): `VRT1A` (cet élément contiendra exactement les mêmes informations que le VET)
 * Code semestre (ELP): `VRTW2` (la note de ces élément sera la moyenne générale du semestre)

Notez que la nomenclature est variable et souvent peu prévisible, même au sein d'un seul établissement.

Les trois codes ci-dessus sont à entrer dans le semestre (et non sur la formation car elle est partagée par des semestres différents, qui ont parfois des codes variés): passer par le menu "Semestre / Modifier le semestre".


###  Préparation de l'ensemble des semestres 
Pour préparer un export des résultats, il faut définir l'ensemble des semestres que l'on veut considérer. Cet ensemble recouvre éventuellement plusieurs étapes Apogée. Chaque semestre ScoDoc peut en effet être associé à plusieurs étapes Apogée, ce qui est utile pour les formations accueillant différents types de publics (apprentis, FC, contrats de professionnalisation). D'autre part, plus rarement, les étudiants d'une étape Apogée peuvent être inscrits dans plusieurs semestres ScoDoc: c'est le cas pour certaines formations avec des parcours optionnels, dont il est préférable de séparer les suivis pédagogiques (cas du DUT CJ deuxième année à Villetaneuse: V2CJ recouvre deux options qui sont des promotions d'étudiants distinctes). 

La constitution de l'ensemble des semestres ScoDoc (semset) va définir l'ensemble des étapes Apogée à considérer (typiquement, on indique le S2 ou le S4, ScoDoc retrouvant automatiquement le semestre précédent). Traiter chaque année scolaire (par exemple S2 et S4) dans des ensembles séparés (chacune a son code étape).

Chaque étape Apogée correspond à un fichier "maquette" spécifique, que ScoDoc va devoir importer et remplir. Ces fichiers devront ensuite être ré-importés dans Apogée.


###  Précautions à prendre et remarques diverses 
 * Codage des fichiers: Apogée (du moins à l'Université Paris 13) exporte et importe des fichiers maquettes codés en latin-1 (ISO-8859-1). Les web services (portail Apogée), tout comme ScoDoc, travaillent en utf8. Pour faciliter les échanges, les fichiers maquettes importés et exportés de ScoDoc sont en latin-1 (sauf celui reçu du portail Apogée).

 * Etudiants démissionnaires: on note les démissions dans ScoDoc (sur la fiche de l'étudiant), mais en général pas dans Apogée. Le résultat Apogée sera DEF. Ne jamais désinscrire du semestre ScoDoc les démissionnaires !

 * Exports à mi-année (après jurys de janvier): 
   Si periode==1 (jury de janvier), alors l'étape Apogée (annuelle) n'est pas terminée.
   
   Donc on ne remplit pas le code annuel (`elt_annee_apo`, comme `VRT1A`) ni le `VET` sauf si l'année est en fait validée grace à un semestre de l'an précédent: (voir r1525)
   * jury de fin de S1: si le S2 est validé;
   * jury de fin de S3: si le S4 est validé.



----


##  Exports via fichiers Excel (maintenant déconseillé) 
Une solution alternative et anciennement utilisée est de générer à partir de ScoDoc un fichier Excel que l'on importe ensuite dans Apogée.

Dominique Soudière (IUT du Havre) a développé des macros Excel qui facilitent ce travail: à télécharger sur
<a href="/attachments/Interface.xlsm" download>Interface.xlsm</a> et <a href="/attachments/imp_exp.xls" download>imp_exp.xls</a>
(explications dans <a href="/attachments/InterfaceScoDocVersApogee-Excel.pdf" download>InterfaceScoDocVersApogee-Excel.pdf</a>).


