
#  Procédure rapide de mise à jour de Debian 8 vers Debian 9 

<img src="/img/alert.png" style="vertical-align: bottom; margin:0 0 0 0;" alt="/!\" /> Réservée aux personnes averties, maîtrisant le shell UNIX et les principes de Debian (notamment la commande apt).

(* Je n'ai pas testé de Debian 9 à Debian 10 Buster, mais la même procédure pourrait bien fonctionner*)

Si votre système Debian 8 est à jour et que vous souhaitez conservez vos éventuelles configurations système, il peut être plus rapide de le mettre à jour directement. 

En cas de problème, vous pourrez repartir de la sauvegarde ScoDoc et remonter un serveur neuf.


1) Mettre à jour votre système et ScoDoc
cd  /opt/scodoc/Products/ScoDoc/config
./upgrade.sh

2) Tout sauvegarder soigneusement

3) Copier les données ScoDoc
Lancer le script save_scodoc_data.sh (en tant qu'utilisateur root dans /opt/scodoc/Products/ScoDoc/config). Ce script crée une archive (tgz) qui contient toutes les informations: bases de données SQL, données utilisateurs, photos, archives des documents, fichier de configuration.
Copier le fichier (.tgz) obtenu sur une autre machine (via ssh) ou un
clé USB.

En cas de problème, vous pourrez repartir de ces données pour
reconstruire votre ScoDoc sur un nouveau système.

4) Mettre à jour Debian: voir
https://www.debian.org/releases/stable/amd64/release-notes/ch-upgrading.html
En gros:

 1. Vous assurer que vous avez assez d'espace dique (df -h)
 2. Changer les sources dans /etc/apt/sources.list (remplacer jessie
 par stretch)
 3. Mise à jour des paquets
```
 apt-get update
 apt-get upgrade
 apt-get dist-upgrade
 apt-get autoremove
```

5) Installer quelques paquets manquants:
```
apt-get --purge remove postgresql-9.4 postgresql-client-9.4 postgresql-client-common postgresql-common

apt-get -y install postgresql-9.6 postgresql-client-9.6

/opt/zope213/bin/pip install python-dateutil --upgrade

apt-get -y install python-docutils python-beautifulsoup python-egenix-mxtools python-egenix-mxdatetime
```

6) Redémarrer:
```
reboot
```

7) Recharger les bases de données:
Ouvrir l'archive créée à l'étape 3
```
cd /tmp
tar xvfz ...../XXXX.tgz
```

Le fichier `scodoc.dump.txt` contient les données SQL.
Le charger ainsi (après vous être placé dans le répertoire créé par
l'ouverture de l'archive):
```
su postgres
psql -f scodoc.dump.txt postgres

exit
```

8) relancer ScoDoc:
```
/etc/init.d/scodoc start
```

Et tester...


