
##  Modification d'un programme pédagogique et versions 


Un programme pédagogique définit notamment les coefficients des modules qui le composent. Les semestres qui se réfèrent à ce programme utilisent ces coefficients pour calculer leurs notes. De même, les noms de UE et modules qui apparaissent sur les bulletins viennent du programme. Il faut être particulièrement vigilant lors des modifications du programme pédagogique 

Dans la configuration par défaut, seul le chef de département (rôle Admin) peut modifier les programmes pédagogiques.

(voir aussi des exemples de programmes en bas de la page [GuideAdminFormation](GuideAdminFormation.md)).


###  Points importants 



####  Unités d'Enseignement (UE) 

Les UE sont destinées à être *capitalisées* (voir [CapitalisationUE](CapitalisationUE.md)). Par conséquent, une formation en plusieurs semestres devrait normalement avoir un jeu d'UE différent dans chaque semestre.

 * Il est parfois désirable de capitaliser au sein d'un parcours des UE appartenant à deux programmes ScoDoc différents (par exemple, on peut avoir changé de version du programme entre deux semestres, comme expliqué plus loin). Dans ce cas, il faut attribuer aux programmes le même code de formation (via le lien "modifier" sur la page d'accueil des programmes), et aussi attribuer les mêmes codes aux UE (via le lien "modifier l'UE" sur la page "programme détaillé et semestres").

 * Les UE peuvent être de type "normal" ou "Sport&Culture". Ces dernières ne sont utilisées que pour les notes optionnelles (activités culturelles et sportives) utilisée dans certains établissements. Elles se voient attribuer une règle de calcul spécifique qui dépend généralement de l'établissement (il n'y à pas de règle nationale pour la prise en compte de snotes de sport et culture). Typiquement, la note des UE de ce type spécial agit directement sur la moyenne générale de l'étudiant.


####  Modules 


 * Le *code* du module va apparaitre sur les bulletins et certains tableaux récapitulatifs. Il comporte habituellement quelques caractères (comme "MATH", ou "SPO"). Si la version officielle de votre programme pédagogique n'utilise pas de codes de ce genre, inventez des codes à la fois courts (pas plus de 4 ou 5 caractères) et évocateurs du nom du module.

 * Le *titre* du module apparaitra sur le tableau de bord du semestre et sur les bulletins.

 * L' *abréviation* est une version courte du titre. Si le titre n'est pas trop long (3 ou 4 mots), copier le. Sinon, inventer une abréviation en quelques mots qui soit lisible.

 * Les volumes horaires ne sont présents que pour information et ne sont actuellement pas du tout utilisés par ScoDoc: il est donc facultatif de les indiquer.

 * Le coefficient est utilisé pour le calcul de la moyenne d'UE et de la moyenne générale. Il s'agit d'un nombre réel positif ou nul.

 * Choisir dans le menu la *matière* à laquelle appartient le module.

 * Le semestre est un nombre indiquant dans quel semestre de la formation se place habituellement ce module. Il arrive que l'on décline la même formation selon différentes modalités (formation initiale, continue) avec des placements différents: dans ce cas, indiquer le semestre dans la modalité "habituelle"; lors de la mise en place d'un semestre, on peut choisir manuellement des modules de tous les semestres.


####  Ordre d'affichage des UE, matières et modules 


Chaque élément (UE, matières et modules) possède un attribut *numéro* qui est un nombre entier utilisé pour le classement des éléments de même niveau dans la hiérarchie dans les tableaux et bulletins.

Il est conseillé d'attribuer les numéros de 10 en 10 afin de pouvoir plus facilement insérer un nouvel élément entre deux éléments existants. Par exemple, si l'on a dans une matière trois modules MA, MB, MC, on va leur attribuer les numéros 10, 20 et 30.


###  Verrouillage et versions 

Lorsque au moins l'un des semestres qui se réfèrent à ce programme est *verrouillé*, il devient impossible de modifier le programme (la page de présentation du programme ne comporte alors aucun lien). Deux cas peuvent se présenter:

 * il s'agit d'une modification mineure (intitulé d'un module, ...) ne risquant pas affecter les notes existantes, et il y a peu de semestres verrouillés: dans ce cas, il est possible d'aller déverrouiller un à un les semestres concernés, puis d'effectuer la modification du programme avant de reverrouiller les semestres.

 * il s'agit d'une modification conséquente, on ne ne veut pas affecter les semestres existants: on crée alors une nouvelle *version* du programme. La version crée est une copie à l'identique du programme existant, que l'on peut modifier à sa guise.
