# ScoDoc: un logiciel libre pour le suivi de la scolarité


ScoDoc est un logiciel libre créé par Emmanuel Viennet pour suivre la scolarité
des étudiants universitaires. Il est principalement utilisé dans les IUT, mais
aussi apprécié par plusieurs Écoles et Masters en France et à l'étranger. Il
fournit notamment: 

 - suivi précis de la progression des étudiants, évaluations formatives et
   certificatives
 - saisie et gestion des notes;
 - aide à la décision pour les jurys;
 - listes des étudiants (groupes, trombinoscopes, bordereaux divers);
 - suivi de l'assiduité (saisie et visualisation des absences);
 - tableaux de bords, rapports statistiques sur la formation (suivis de
   cohortes, ...) utiles pour l'évaluation et le suivi des formations; 
 - édition des procès-verbaux, bulletins et autres documents liés à la scolarité.


ScoDoc est un *logiciel libre*: vous pouvez [participer à son développement](Contribuer.md).

ScoDoc s'utilise sur un  navigateur web standard: les utilisateurs n'ont rien à
installer. Les établissements ou écoles doivent configurer un serveur: voir le [guide
d'installation sur Debian 11](GuideInstallDebian11.md). La version ScoDoc 9 est
parue le 19 septembre 2021, la version 9.2 en avril 2022. Les mises à jour sont
appliquées régulièrement. 

ScoDoc est utilisé dans de nombreux établissement français et étrangers, **dont
au moins 58 IUT**: [liste des utilisateurs connus de
ScoDoc](UtilisateursScoDoc.md).

Depuis 2020, ScoDoc est soutenu par une [association à but non lucratif
(1901)](AssociationScoDoc.md), à laquelle tous les départements ou
établissements utilisateurs sont **invités à adhérer**. Bulletin d'adhésion à
retourner à `Emmanuel.Viennet at gmail.com`.

## Présentation générale

 - [Présentation générale du logiciel avec copies d'écran](PresentationGenerale.md)
 
 - Quelques <a href="https://www.youtube.com/playlist?list=PLw49h6RbvswhasBk9bXj7PzOD8GDW3kG1" target="_blank">vidéos d'introduction sur YouTube <img src="img/tube.png" alt="" style="margin-top:0px; margin-bottom:0px; border-width:0px;"/></a>

 - Ancienne présentation au colloque du [CRI-IUT](https://www.criiut.fr/) en 2013: [diapos en pdf](papers/presScoDocCRIIUT2013.pdf)
 - Un très ancien [article sur ScoDoc](papers/scodoc-reunion2007.pdf)


## Communauté d'utilisateurs

 - Le Discord des utilisateurs: assistance chat ou audio [rejoindre le salon](https://discord.gg/ybw6ugtFsZ)
 - [Listes de diffusion e-mail](ListesDeDiffusion.md)
 - Vous pouvez signaler ici des bugs ou déposer des suggestions d'amélioration via les "tickets": 
    * [Liste des tickets en cours](https://scodoc.org/git/viennet/ScoDoc/issues)
    * Déclarer un nouveau ticket: demander un compte sur la liste `scodoc-devel` (lien ci-dessus).
 - [Contribuer à ScoDoc](Contribuer.md)

## Actualités

### Parution de ScoDoc 9
Version majeure, avec une architecture logicielle complètement remaniée. Cette
version modernise l'infrastructure logicielle (maintenant basée sur Python
3/Flask/postgresql) et propose de nombreuses améliorations, notamment pour la
gestion du *[Bachelor Universitaire de Technologie (BUT)](BUT.md)*.

### Contrats d'apprentissage

Deux étudiants ont été recrutés (LP IUT Orléans, et IUT Villetaneuse):
 
 - développement d'une nouvelle API pour ScoDoc 9;
 - développement d'un nouveau module de gestion des relations entreprises
   (fichier, contacts, stages, alternance).


### Quatre stagiaires

 - version spéciale pour mobiles, développée par un stagiaire de l'association;
 - développements de tests unitaires et fonctionnels, par deux stagiaires, l'un
   avec l'association, l'autre à l'IUT de Lille.
 - affichage et édition des référentiels de BUT, avec un stagiaire de
   l'association.

### Nouveaux développeurs
Plusieurs développeurs volontaires, la plupart enseignants en IUT, ont rejoint
l'équipe ces derniers mois.

### Bachelor Universitaire de Technologie (BUT) et ScoDoc
ScoDoc évolue pour intégrer la gestion du BUT, en approche par compétences, avec
des situations d'apprentissage et d'évaluation (SAÉs) et des ressources
pédagogiques. ScoDoc n'a pas vocation à devenir un portfolio APC, mais
continuera à vous aider à suivre, évaluer et noter vos étudiants, au plus près
de vos pratiques. Voir [cette page pour plus d'informations](BUT.md).

Des formats de bulletins de notes adaptés seront proposés pour faciliter la
compréhension des résultats par les étudiants et enseignants.

### ScoDoc et Pégase/PC-SCOL
Nous sommes en contact avec l'équipe du projet Pégase/PC-SCOL, qui succédera
dans certaines universités à Apogée. A court et moyen terme, ce nouvel outil ne
rendra pas les mêmes services que ScoDoc. Nous étudions dès maintenant
l'interfaçage des outils (via des API), qui a priori sera plus fluide et facile
à mettre en œuvre qu'avec Apogée. ScoDoc et Pégase devraient cohabiter en bonne
entente.

### Feuille de route (roadmap)
Les prochaines versions de ScoDoc (*sous réserve !*):


 - ScoDoc 9.3 : prévue en mai 2022
    - tenue des jurys BUT et exports Apogée
    - gestion des parcours (pour la mise en place des semestre)


 - ScoDoc 9.2 : publiée en avril 2022 nouvelles fonctionnalités liées au BUT
    - référentiels de compétences Orébut
    - capitalisation des UE dans le BUT
    - bonus/malus locaux
    - bulletins BUT pdf
    - nouveau module de gestion relations avec les entreprises


 - ScoDoc 9.1 : décembre 2021 gestion du bachelor (BUT)
    - type de formation BUT
    - distinction SAE/ressources
    - poids (coefs) des évaluations, affichage, édition
    - coefs de modules (ressources, SAE): affichage et édition dans ScoDoc
    - calculs moyennes modules et vérification conformité
    - calcul des moyennes d'UE
    - bulletin de note v1

 - ScoDoc 9.0 : publiée le 19 sept. 2021, version complètement remaniée en
   Python 3/Flask.


<br> 

---
 - [Guide utilisateur](GuideUtilisateur.md)
 - Page web de l'auteur: <http://www-l2ti.univ-paris13.fr/~viennet>
